
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest7 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm((-4996391052921810431L), 257L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test002"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 6.38775107280494E11d, 0.44699510894891675d, 0.0d, 159);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test003"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-3.071445495803223d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.809709011479557d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test004"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(25700L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test005"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.1032080659042083d, (-0.5815258540844123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5815258540844123d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test006"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(285250919);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test007"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 0.3919053337374936d, 1.5093511066861374d, 0.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test008"); }


    double[] d_array0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = new double[] {  };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    double d4 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array2);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.util.MathUtils.linearCombination(d_array0, d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test009"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.4639620792590624d), 0.19151272524664706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4639620792590624d));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test010"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.26903599074888146d, (-0.0d));
    double d3 = regulaFalsiSolver2.getFunctionValueAccuracy();
    double d4 = regulaFalsiSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test011"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.1920929E-7f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.1920929E-7f));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test012"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test013"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NEGATIVE_ELEMENT_AT_2D_INDEX;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-2000000000), (java.lang.Number)256L, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test014"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 0.0d);
    int i3 = regulaFalsiSolver2.getEvaluations();
    int i4 = regulaFalsiSolver2.getMaxEvaluations();
    int i5 = regulaFalsiSolver2.getMaxEvaluations();
    int i6 = regulaFalsiSolver2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test015"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0d, (java.lang.Number)9223372036854775807L, true);
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array7 = new double[] {  };
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    double[] d_array10 = new double[] {  };
    double[] d_array11 = new double[] {  };
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array10, d_array11);
    double[][] d_array_array14 = new double[][] { d_array10 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, orderDirection9, d_array_array14);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array17);
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array22 = new double[] {  };
    double d23 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distance(d_array17, d_array22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distanceInf(d_array25, d_array26);
    double[] d_array29 = new double[] {  };
    int i30 = org.apache.commons.math.util.MathUtils.hash(d_array29);
    double[] d_array31 = new double[] {  };
    double d32 = org.apache.commons.math.util.MathUtils.distance(d_array29, d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    boolean b35 = org.apache.commons.math.util.MathUtils.equals(d_array22, d_array26);
    double d36 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array22);
    double[] d_array37 = new double[] {  };
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    double[] d_array39 = new double[] {  };
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array39);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[][] d_array_array46 = new double[][] { d_array42 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array37, orderDirection41, d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, d_array_array46);
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT;
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test016"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1.0f), (java.lang.Number)0.0f, 1);
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    int i5 = nonMonotonousSequenceException3.getIndex();
    java.lang.Number number6 = nonMonotonousSequenceException3.getPrevious();
    boolean b7 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test017"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(0L, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.033180034668294334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.033167866575592106d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test019"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.0027571986608224152d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test020"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, (java.lang.Number)0.0d, (java.lang.Number)9223372036854775807L, true);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 9223372036854775807L };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)100L, obj_array11);
    org.apache.commons.math.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 0.714819784115254d, 6.387751072804939E11d, 0.7853981633974483d, 1.7518399959282467d, obj_array11);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)11013.232920103323d, (java.lang.Number)21772800L, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.38535742648327137d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { localizedFormats27 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable26, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext32 = mathIllegalStateException31.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array37);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array37);
    exceptionContext32.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array37);
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array41);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array41);
    org.apache.commons.math.exception.NoBracketingException noBracketingException44 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-0.4639620792590624d), 98.0d, 1548.7251155504869d, 4.047903025579047d, obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test022"); }


    long long2 = org.apache.commons.math.util.FastMath.min(12L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test023"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SIMPLE_MESSAGE;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1455565371, (java.lang.Number)3.141592653589793d, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    java.lang.Object obj9 = exceptionContext7.getValue("exception generated in user code");
    java.util.Set set10 = exceptionContext7.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 3.141592653589793d+ "'", number6.equals(3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set10);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7212254887267799d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test025"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.5710835792402666d, (-0.004234059581708702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.578210271369887d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test026"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 0.44699510894891675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(120.80239355262988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test028"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.0862980107885825d), 1.3246090892520057d, 0.6483301750225565d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test029"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.0391734731451552d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test030"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 5047021154770878462L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test031"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.004234059581708702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9957748914110935d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test033"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(3.581061677054852E-8d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.790530838527426E-8d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.3030125058299506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6716662365426821d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.011619944011344464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test036"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.1977461928657023d, 1.9377047211159066E-18d, 0.9194614484588723d, (-17.712712402600175d));
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test037"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i2 = regulaFalsiSolver0.getMaxEvaluations();
    double d3 = regulaFalsiSolver0.getMax();
    int i4 = regulaFalsiSolver0.getMaxEvaluations();
    double d5 = regulaFalsiSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test038"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(128);
    incrementor0.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(127);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test039"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double d7 = org.apache.commons.math.util.MathUtils.distanceInf(d_array4, d_array5);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array10);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array5);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array15);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array15, d_array_array20);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array24 = new double[] {  };
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array24);
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array24);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array28);
    double[] d_array31 = new double[] {  };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array28, d_array_array33);
    double[] d_array35 = new double[] {  };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array37 = new double[] {  };
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array37);
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array28, d_array37);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array40);
    boolean b45 = org.apache.commons.math.util.MathUtils.equals(d_array24, d_array28);
    java.lang.Number number47 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException49 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)7.6293945E-6f, number47, (-1));
    int i50 = nonMonotonousSequenceException49.getIndex();
    java.lang.Number number51 = nonMonotonousSequenceException49.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection52 = nonMonotonousSequenceException49.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection53 = nonMonotonousSequenceException49.getDirection();
    double[] d_array54 = new double[] {  };
    double[] d_array55 = new double[] {  };
    int i56 = org.apache.commons.math.util.MathUtils.hash(d_array55);
    double d57 = org.apache.commons.math.util.MathUtils.distanceInf(d_array54, d_array55);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection58 = null;
    double[] d_array59 = new double[] {  };
    double[] d_array60 = new double[] {  };
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    double d62 = org.apache.commons.math.util.MathUtils.distanceInf(d_array59, d_array60);
    double[][] d_array_array63 = new double[][] { d_array60 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array55, orderDirection58, d_array_array63);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array28, orderDirection53, d_array_array63);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array5, orderDirection53, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test040"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(762716574, 22);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test041"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 1.1932111136714423d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test042"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(7.6293945E-6f, 10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test043"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.3030125058299506d, 4.047903025579047d, 0.38535742648327137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test044"); }


    int i2 = org.apache.commons.math.util.FastMath.min(6, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.936734963924043d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9367349639240429d));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test046"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(short)100);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test047"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-0.506365641109771d), 1.9377047211159066E-18d);
    int i3 = regulaFalsiSolver2.getEvaluations();
    int i4 = regulaFalsiSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test048"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, d_array_array19);
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double[] d_array23 = new double[] {  };
    double d24 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array23);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = null;
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distanceInf(d_array26, d_array27);
    double[][] d_array_array30 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection25, d_array_array30);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array33);
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double[] d_array38 = new double[] {  };
    double d39 = org.apache.commons.math.util.MathUtils.distance(d_array36, d_array38);
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array38);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = new double[] {  };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array41, d_array42);
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array47 = new double[] {  };
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array42, d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array42);
    boolean b51 = org.apache.commons.math.util.MathUtils.equals(d_array38, d_array42);
    double d52 = org.apache.commons.math.util.MathUtils.distance1(d_array21, d_array38);
    double d53 = org.apache.commons.math.util.MathUtils.distance(d_array14, d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array10, d_array21);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException59 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9207731516572653d, (java.lang.Number)2.051707796114911d, 1455565370);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection60 = nonMonotonousSequenceException59.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      boolean b63 = org.apache.commons.math.util.MathUtils.checkOrder(d_array10, orderDirection60, true, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-15.95038491443872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9707594955416727d));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test050"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(5.820766091346741E-11d, 0.999930952259767d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test051"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.6077539156523171d, 2.407122076842137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6077539156523171d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.9707410314679565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test053"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-970), (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test054"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(1843545415, 1455565370);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test055"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7771211630872612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test056"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_ROUNDING_METHOD;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.MINIMAL_STEPSIZE_REACHED_DURING_INTEGRATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { localizedFormats3 };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)1.6069274130264402d, obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.ConvergenceException convergenceException7 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test057"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.168175130826661d, 0.13786028238589157d, 1819456678);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test058"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 184331630);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test060"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIGEST_NOT_INITIALIZED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { localizedFormats6 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkNotNull(obj0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test061"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(2.419245118894757d, 0.001266064174268981d, (-0.018251877313126323d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0030629195738077534d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test062"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(925845181, 1091970560);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test063"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1023));
    incrementor0.incrementCount((-2));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(2146959360);
    int i10 = incrementor0.getCount();
    incrementor0.setMaximalCount((-1100));
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-2104541596));
    int i17 = incrementor0.getCount();
    int i18 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.001058267663102507d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0010582674655714886d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test065"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(4.047903025579047d, 1.1932111136714423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test066"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.6447138569073052d), 0.999930952259767d, 1521202.8127067692d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test067"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test068"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.1903441809223008d, 0.2789994678721091d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test069"); }


    long long2 = org.apache.commons.math.util.FastMath.max(48316L, 25700L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 48316L);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test070"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(7.2759576E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test071"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getStartValue();
    double d3 = regulaFalsiSolver0.getMin();
    double d4 = regulaFalsiSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test072"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.4701120008964814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4894176715707922d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test073"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    java.lang.Number number21 = null;
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distanceInf(d_array26, d_array27);
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double[] d_array32 = new double[] {  };
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array32);
    double d34 = org.apache.commons.math.util.MathUtils.distance(d_array27, d_array32);
    double[] d_array37 = new double[] { 1.0d, (-1.0d) };
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array37, 1);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array39);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array39, orderDirection41, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException45 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)0, (java.lang.Number)(-10), 20, orderDirection41, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException47 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1.7518399959282467d), number21, 100, orderDirection41, false);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = new double[] {  };
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distanceInf(d_array48, d_array49);
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array49, d_array_array54);
    double[] d_array56 = new double[] {  };
    int i57 = org.apache.commons.math.util.MathUtils.hash(d_array56);
    double[] d_array58 = new double[] {  };
    double d59 = org.apache.commons.math.util.MathUtils.distance(d_array56, d_array58);
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array49, d_array58);
    double[] d_array61 = new double[] {  };
    double[] d_array62 = new double[] {  };
    int i63 = org.apache.commons.math.util.MathUtils.hash(d_array62);
    double d64 = org.apache.commons.math.util.MathUtils.distanceInf(d_array61, d_array62);
    double[] d_array65 = new double[] {  };
    int i66 = org.apache.commons.math.util.MathUtils.hash(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array62, d_array_array67);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array49, d_array_array67);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array6, orderDirection41, d_array_array67);
    double[] d_array72 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 110);
    int i73 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test074"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.32346845222305004d, 0.011751470958653698d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test075"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(6.2831853071795924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 534.4916555247679d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test076"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(0.3030125058299506d, 27.182818284588883d, (-0.936734963924043d), 98.0d, (-0.1617786291699606d), 1.4800214756152725d, 5.820766091346741E-11d, 2.5213343020904064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-83.80272842594312d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test077"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 0.9529865798166595d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test078"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.018973359867228756d, 1.2234489452979638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test079"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double d7 = org.apache.commons.math.util.MathUtils.distanceInf(d_array4, d_array5);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array10);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array5);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array15);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array20 = new double[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distance(d_array15, d_array20);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array30);
    double[][] d_array_array33 = new double[][] { d_array29 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, orderDirection28, d_array_array33);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distanceInf(d_array35, d_array36);
    double[] d_array39 = new double[] {  };
    int i40 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    double[] d_array41 = new double[] {  };
    double d42 = org.apache.commons.math.util.MathUtils.distance(d_array39, d_array41);
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array36, d_array41);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double d47 = org.apache.commons.math.util.MathUtils.distanceInf(d_array44, d_array45);
    double[] d_array48 = new double[] {  };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array50 = new double[] {  };
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array48, d_array50);
    double d52 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array50);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    boolean b54 = org.apache.commons.math.util.MathUtils.equals(d_array41, d_array45);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array24, d_array41);
    double[] d_array56 = new double[] {  };
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double d59 = org.apache.commons.math.util.MathUtils.distanceInf(d_array56, d_array57);
    double[] d_array60 = new double[] {  };
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array57, d_array_array62);
    double[] d_array64 = new double[] {  };
    int i65 = org.apache.commons.math.util.MathUtils.hash(d_array64);
    double[] d_array66 = new double[] {  };
    double d67 = org.apache.commons.math.util.MathUtils.distance(d_array64, d_array66);
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array57, d_array66);
    double[] d_array69 = new double[] {  };
    int i70 = org.apache.commons.math.util.MathUtils.hash(d_array69);
    double[] d_array71 = new double[] {  };
    double d72 = org.apache.commons.math.util.MathUtils.distance(d_array69, d_array71);
    double d73 = org.apache.commons.math.util.MathUtils.distanceInf(d_array57, d_array69);
    double d74 = org.apache.commons.math.util.MathUtils.safeNorm(d_array69);
    double d75 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array69);
    double[] d_array76 = new double[] {  };
    int i77 = org.apache.commons.math.util.MathUtils.hash(d_array76);
    double[] d_array78 = new double[] {  };
    double d79 = org.apache.commons.math.util.MathUtils.distance(d_array76, d_array78);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection80 = null;
    double[] d_array81 = new double[] {  };
    double[] d_array82 = new double[] {  };
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array82);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array81, d_array82);
    double[][] d_array_array85 = new double[][] { d_array81 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array76, orderDirection80, d_array_array85);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array69, d_array_array85);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array85);
    double d89 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array20);
    int i90 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double d91 = org.apache.commons.math.util.MathUtils.safeNorm(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test080"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.9640275800758169d, 3.3169359180698614E-13d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test081"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection21 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array22 = new double[] {  };
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array22, d_array23);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = null;
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array28);
    double[][] d_array_array31 = new double[][] { d_array28 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection26, d_array_array31);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, orderDirection21, d_array_array31);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array20, 6);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array20, 0.38535742648327137d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test082"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.1783268520761032d, Double.POSITIVE_INFINITY, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test083"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(4L, 6L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4096L);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test084"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9612322169717984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0167766670624024d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test085"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(159, 12L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1649655937);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test086"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.9698752596596937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9698752596596938d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test087"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.009765626f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.004234084883722643d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.004234110186054107d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test089"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test090"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(181.0433709552893d, 0.38535742648327137d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test091"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.3352264883055458d, (-0.506365641109771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5568107087360907d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test092"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger8);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger8);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 0);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathIllegalStateException16.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array22);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array22);
    exceptionContext17.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array22);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger14, localizable15, obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test093"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.8162986846972675d), 0.22735128361236823d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8162986846972675d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test094"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double d18 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array25);
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array29 = new double[] {  };
    double d30 = org.apache.commons.math.util.MathUtils.distance(d_array27, d_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array29);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException(number32, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array38);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[][] d_array_array46 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array38, orderDirection41, d_array_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array29, d_array_array46);
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array13, d_array29);
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double d52 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test095"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(0, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2146959360);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.4218954211291543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test097"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array6);
    double[] d_array9 = new double[] {  };
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array6, d_array_array11);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = null;
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array19);
    double[][] d_array_array22 = new double[][] { d_array18 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, orderDirection17, d_array_array22);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distanceInf(d_array24, d_array25);
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double[] d_array30 = new double[] {  };
    double d31 = org.apache.commons.math.util.MathUtils.distance(d_array28, d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distance(d_array25, d_array30);
    double[] d_array33 = new double[] {  };
    double[] d_array34 = new double[] {  };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array33, d_array34);
    double[] d_array37 = new double[] {  };
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    double[] d_array39 = new double[] {  };
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array39);
    double d41 = org.apache.commons.math.util.MathUtils.distance(d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    boolean b43 = org.apache.commons.math.util.MathUtils.equals(d_array30, d_array34);
    double d44 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array30);
    double d45 = org.apache.commons.math.util.MathUtils.distance(d_array6, d_array13);
    double[] d_array47 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 0);
    double[] d_array48 = new double[] {  };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array50 = new double[] {  };
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array48, d_array50);
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array53 = new double[] {  };
    double[] d_array54 = new double[] {  };
    int i55 = org.apache.commons.math.util.MathUtils.hash(d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distanceInf(d_array53, d_array54);
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array54, d_array_array59);
    double[] d_array61 = new double[] {  };
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array61);
    double[] d_array63 = new double[] {  };
    double d64 = org.apache.commons.math.util.MathUtils.distance(d_array61, d_array63);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection65 = null;
    double[] d_array66 = new double[] {  };
    double[] d_array67 = new double[] {  };
    int i68 = org.apache.commons.math.util.MathUtils.hash(d_array67);
    double d69 = org.apache.commons.math.util.MathUtils.distanceInf(d_array66, d_array67);
    double[][] d_array_array70 = new double[][] { d_array66 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array61, orderDirection65, d_array_array70);
    double[] d_array72 = new double[] {  };
    double[] d_array73 = new double[] {  };
    int i74 = org.apache.commons.math.util.MathUtils.hash(d_array73);
    double d75 = org.apache.commons.math.util.MathUtils.distanceInf(d_array72, d_array73);
    double[] d_array76 = new double[] {  };
    int i77 = org.apache.commons.math.util.MathUtils.hash(d_array76);
    double[] d_array78 = new double[] {  };
    double d79 = org.apache.commons.math.util.MathUtils.distance(d_array76, d_array78);
    double d80 = org.apache.commons.math.util.MathUtils.distance(d_array73, d_array78);
    double[] d_array81 = new double[] {  };
    double[] d_array82 = new double[] {  };
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array82);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array81, d_array82);
    double[] d_array85 = new double[] {  };
    int i86 = org.apache.commons.math.util.MathUtils.hash(d_array85);
    double[] d_array87 = new double[] {  };
    double d88 = org.apache.commons.math.util.MathUtils.distance(d_array85, d_array87);
    double d89 = org.apache.commons.math.util.MathUtils.distance(d_array82, d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array82);
    boolean b91 = org.apache.commons.math.util.MathUtils.equals(d_array78, d_array82);
    double d92 = org.apache.commons.math.util.MathUtils.distance1(d_array61, d_array78);
    double d93 = org.apache.commons.math.util.MathUtils.distance(d_array54, d_array61);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    double[] d_array95 = null;
    boolean b96 = org.apache.commons.math.util.MathUtils.equals(d_array61, d_array95);
    boolean b97 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array50, d_array61);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array50);
    boolean b99 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array4, d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b99 == true);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm(24164L, 8649374190597570624L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test099"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(Float.POSITIVE_INFINITY, 1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test100"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-914.1752767803924d), 20.08566500146041d, (-3.5184372088832016E13d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-5d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test102"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array20 = new double[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array20);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array23, d_array24);
    double[][] d_array_array27 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection22, d_array_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array18);
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array32, 1);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array32);
    double[] d_array36 = new double[] {  };
    double[] d_array37 = new double[] {  };
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array36, d_array37);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[][] d_array_array42 = new double[][] { d_array40 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array37, d_array_array42);
    double[] d_array44 = new double[] {  };
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array44);
    double[] d_array46 = new double[] {  };
    double d47 = org.apache.commons.math.util.MathUtils.distance(d_array44, d_array46);
    boolean b48 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array46);
    java.lang.Number number49 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException52 = new org.apache.commons.math.exception.NumberIsTooSmallException(number49, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array54 = new double[] {  };
    double[] d_array55 = new double[] {  };
    int i56 = org.apache.commons.math.util.MathUtils.hash(d_array55);
    double d57 = org.apache.commons.math.util.MathUtils.distanceInf(d_array54, d_array55);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection58 = null;
    double[] d_array59 = new double[] {  };
    double[] d_array60 = new double[] {  };
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    double d62 = org.apache.commons.math.util.MathUtils.distanceInf(d_array59, d_array60);
    double[][] d_array_array63 = new double[][] { d_array60 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array55, orderDirection58, d_array_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, (java.lang.Object[])d_array_array63);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, d_array_array63);
    double d67 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array46);
    double[] d_array68 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d69 = org.apache.commons.math.util.MathUtils.linearCombination(d_array46, d_array68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.5351915865350727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2390284849570945d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test104"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(1819456678, 1000000000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test105"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.38535742648327137d, 38.37075354747399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3853574264832714d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test106"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.4800214756152725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.082703611683125d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(1.0000001f, 327333024, (-21));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(67.3340684745264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2086296610167463d));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test109"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.5525813106415136d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.6447138569073052d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test111"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999999f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial(1125300);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test113"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, (-21));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.7837686825723507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 44.90663762592441d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test115"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.24844135693713493d, 0.3030125058299506d, 99.99999999999999d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = regulaFalsiSolver3.solve((-1831313947), univariateRealFunction5, 0.0027571986608224152d, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test116"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1972738136090142d, 1.037305319486146d, 0.011751470958653698d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test117"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(350031075);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test118"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-0.46884376985955356d));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test119"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = new double[] {  };
    int i3 = org.apache.commons.math.util.MathUtils.hash(d_array2);
    double d4 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array2);
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array7);
    double[] d_array9 = new double[] {  };
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array9);
    double[] d_array11 = new double[] {  };
    double d12 = org.apache.commons.math.util.MathUtils.distance(d_array9, d_array11);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection13 = null;
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array15);
    double[][] d_array_array18 = new double[][] { d_array14 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array9, orderDirection13, d_array_array18);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array26);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array30);
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array35 = new double[] {  };
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array35);
    double d37 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    boolean b39 = org.apache.commons.math.util.MathUtils.equals(d_array26, d_array30);
    double d40 = org.apache.commons.math.util.MathUtils.distance1(d_array9, d_array26);
    double d41 = org.apache.commons.math.util.MathUtils.distance(d_array2, d_array9);
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array2, 0);
    double[] d_array44 = null;
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array44);
    double[] d_array46 = new double[] {  };
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double[] d_array48 = new double[] {  };
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array46, d_array48);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection50 = null;
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double d54 = org.apache.commons.math.util.MathUtils.distanceInf(d_array51, d_array52);
    double[][] d_array_array55 = new double[][] { d_array51 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, orderDirection50, d_array_array55);
    double[] d_array57 = new double[] {  };
    double[] d_array58 = new double[] {  };
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array58);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array57, d_array58);
    double[] d_array61 = new double[] {  };
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array61);
    double[] d_array63 = new double[] {  };
    double d64 = org.apache.commons.math.util.MathUtils.distance(d_array61, d_array63);
    double d65 = org.apache.commons.math.util.MathUtils.distance(d_array58, d_array63);
    double[] d_array66 = new double[] {  };
    double[] d_array67 = new double[] {  };
    int i68 = org.apache.commons.math.util.MathUtils.hash(d_array67);
    double d69 = org.apache.commons.math.util.MathUtils.distanceInf(d_array66, d_array67);
    double[] d_array70 = new double[] {  };
    int i71 = org.apache.commons.math.util.MathUtils.hash(d_array70);
    double[] d_array72 = new double[] {  };
    double d73 = org.apache.commons.math.util.MathUtils.distance(d_array70, d_array72);
    double d74 = org.apache.commons.math.util.MathUtils.distance(d_array67, d_array72);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array67);
    boolean b76 = org.apache.commons.math.util.MathUtils.equals(d_array63, d_array67);
    double d77 = org.apache.commons.math.util.MathUtils.distance1(d_array46, d_array63);
    double[] d_array78 = new double[] {  };
    int i79 = org.apache.commons.math.util.MathUtils.hash(d_array78);
    double[] d_array80 = new double[] {  };
    double d81 = org.apache.commons.math.util.MathUtils.distance(d_array78, d_array80);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection82 = null;
    double[] d_array83 = new double[] {  };
    double[] d_array84 = new double[] {  };
    int i85 = org.apache.commons.math.util.MathUtils.hash(d_array84);
    double d86 = org.apache.commons.math.util.MathUtils.distanceInf(d_array83, d_array84);
    double[][] d_array_array87 = new double[][] { d_array83 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array78, orderDirection82, d_array_array87);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array63, d_array_array87);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array2, d_array_array87);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Object[])d_array_array87);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext92 = mathIllegalStateException91.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext92);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test120"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.39190533373749364d, 0.07515628190169388d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test121"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.2759576E-12f, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210855E-14f);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test122"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = null;
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[][] d_array_array17 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection12, d_array_array17);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[] d_array25 = new double[] {  };
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array23, d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array25);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    int i30 = org.apache.commons.math.util.MathUtils.hash(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array29);
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double[] d_array34 = new double[] {  };
    double d35 = org.apache.commons.math.util.MathUtils.distance(d_array32, d_array34);
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array29, d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    boolean b38 = org.apache.commons.math.util.MathUtils.equals(d_array25, d_array29);
    double d39 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array25);
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array8);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = new double[] {  };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array41, d_array42);
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array47 = new double[] {  };
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array42, d_array47);
    double[] d_array50 = new double[] {  };
    double[] d_array51 = new double[] {  };
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array51);
    double d53 = org.apache.commons.math.util.MathUtils.distanceInf(d_array50, d_array51);
    double[] d_array54 = new double[] {  };
    int i55 = org.apache.commons.math.util.MathUtils.hash(d_array54);
    double[] d_array56 = new double[] {  };
    double d57 = org.apache.commons.math.util.MathUtils.distance(d_array54, d_array56);
    double d58 = org.apache.commons.math.util.MathUtils.distance(d_array51, d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    boolean b60 = org.apache.commons.math.util.MathUtils.equals(d_array47, d_array51);
    double d61 = org.apache.commons.math.util.MathUtils.distanceInf(d_array8, d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.44087121790935846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4552924924606779d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test124"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double d18 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array25);
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array29 = new double[] {  };
    double d30 = org.apache.commons.math.util.MathUtils.distance(d_array27, d_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array29);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException(number32, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array38);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[][] d_array_array46 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array38, orderDirection41, d_array_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array29, d_array_array46);
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array13, d_array29);
    double d51 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array13, (-865850917));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test125"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1023));
    incrementor0.incrementCount((-2));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(2146959360);
    int i10 = incrementor0.getCount();
    incrementor0.setMaximalCount((-1100));
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    int i16 = incrementor0.getCount();
    incrementor0.setMaximalCount((-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round((-0.04125908284536094d), (-2), (-1126270));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test127"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection21 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array22 = new double[] {  };
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array22, d_array23);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = null;
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array28);
    double[][] d_array_array31 = new double[][] { d_array28 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection26, d_array_array31);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, orderDirection21, d_array_array31);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array20, 6);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array35, 0.0021540669122795558d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test128"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1455565371);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1455565371);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test129"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.1f);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test130"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)(-53), true);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2L+ "'", number4.equals(2L));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.758456335176916d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test132"); }


    double[] d_array3 = new double[] {  };
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array4);
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double[] d_array9 = new double[] {  };
    double d10 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array9);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double d15 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array13);
    double[] d_array16 = new double[] {  };
    int i17 = org.apache.commons.math.util.MathUtils.hash(d_array16);
    double[] d_array18 = new double[] {  };
    double d19 = org.apache.commons.math.util.MathUtils.distance(d_array16, d_array18);
    double d20 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(d_array9, d_array13);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection24 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    double[] d_array25 = new double[] {  };
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distanceInf(d_array25, d_array26);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = null;
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distanceInf(d_array30, d_array31);
    double[][] d_array_array34 = new double[][] { d_array31 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array26, orderDirection29, d_array_array34);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection24, d_array_array34);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException38 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.016734991275338482d, (java.lang.Number)1.2766689608097497d, (-1100), orderDirection24, false);
    boolean b39 = nonMonotonousSequenceException38.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = nonMonotonousSequenceException38.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test133"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-9892741), (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test134"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.24844135693713493d, 0.7936520871862218d, 2.5177000729360612d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test135"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-10), (java.lang.Number)(-0.2631236728716947d), false);
    java.lang.String str5 = numberIsTooLargeException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -10x-0.263 and {2}x{3} matrices are not subtraction compatible"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -10x-0.263 and {2}x{3} matrices are not subtraction compatible"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test136"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = null;
    double d5 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array4);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException12 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9640275800758169d, (java.lang.Number)2146959360, 327333030);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection13 = nonMonotonousSequenceException12.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException15 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-9892741), (java.lang.Number)1819456678, (-21), orderDirection13, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection13, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test137"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(99.99999999999999d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test138"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(21772800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test139"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.0d, 0.26903599074888146d, 99.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test140"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(0.010035551236089072d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010035719687492672d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test141"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-7), (-115707398));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test142"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1708096095), 762716574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 163497153);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test143"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 100.0d, (-0.5872139151569291d), 0.17453292519943295d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getLo();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test144"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(2.7958731873695153d, 1.0592204899409672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.38178828245338625d));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test145"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.0596982791478813d, 1.3440585709080676E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test146"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(5047021158257662853L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test147"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2766689608097497d, (-0.004234110186099482d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test148"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 0.0d);
    int i3 = regulaFalsiSolver2.getEvaluations();
    int i4 = regulaFalsiSolver2.getMaxEvaluations();
    double d5 = regulaFalsiSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test149"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-4996391052921810431L), 12L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4996391052921810419L));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test150"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3200.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test151"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(0.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test152"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, number1);
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notPositiveException2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = mathInternalError3.getContext();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.506365641109771d), (java.lang.Number)(-1100), (-53));
    exceptionContext4.setValue("hi!", (java.lang.Object)nonMonotonousSequenceException9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.SINGULAR_MATRIX;
    org.apache.commons.math.exception.NotPositiveException notPositiveException13 = new org.apache.commons.math.exception.NotPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, (java.lang.Number)2);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, (java.lang.Number)(-0.004234122837412626d), (java.lang.Number)1.0611621806277691d, false);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array19);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array24 = new double[] {  };
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array19, d_array24);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection27 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException32 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, (java.lang.Number)0.0d, (java.lang.Number)9223372036854775807L, true);
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array35 = new double[] {  };
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array35);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection37 = null;
    double[] d_array38 = new double[] {  };
    double[] d_array39 = new double[] {  };
    int i40 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    double d41 = org.apache.commons.math.util.MathUtils.distanceInf(d_array38, d_array39);
    double[][] d_array_array42 = new double[][] { d_array38 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array33, orderDirection37, d_array_array42);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double d47 = org.apache.commons.math.util.MathUtils.distanceInf(d_array44, d_array45);
    double[] d_array48 = new double[] {  };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array50 = new double[] {  };
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array48, d_array50);
    double d52 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array50);
    double[] d_array53 = new double[] {  };
    double[] d_array54 = new double[] {  };
    int i55 = org.apache.commons.math.util.MathUtils.hash(d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distanceInf(d_array53, d_array54);
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[] d_array59 = new double[] {  };
    double d60 = org.apache.commons.math.util.MathUtils.distance(d_array57, d_array59);
    double d61 = org.apache.commons.math.util.MathUtils.distance(d_array54, d_array59);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    boolean b63 = org.apache.commons.math.util.MathUtils.equals(d_array50, d_array54);
    double d64 = org.apache.commons.math.util.MathUtils.distance1(d_array33, d_array50);
    double[] d_array65 = new double[] {  };
    int i66 = org.apache.commons.math.util.MathUtils.hash(d_array65);
    double[] d_array67 = new double[] {  };
    double d68 = org.apache.commons.math.util.MathUtils.distance(d_array65, d_array67);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection69 = null;
    double[] d_array70 = new double[] {  };
    double[] d_array71 = new double[] {  };
    int i72 = org.apache.commons.math.util.MathUtils.hash(d_array71);
    double d73 = org.apache.commons.math.util.MathUtils.distanceInf(d_array70, d_array71);
    double[][] d_array_array74 = new double[][] { d_array70 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array65, orderDirection69, d_array_array74);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array50, d_array_array74);
    org.apache.commons.math.exception.ConvergenceException convergenceException77 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, (java.lang.Object[])d_array_array74);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, orderDirection27, d_array_array74);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])d_array_array74);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])d_array_array74);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonousSequenceException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array80);
    java.lang.Number number82 = nonMonotonousSequenceException9.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number82 + "' != '" + (-0.506365641109771d)+ "'", number82.equals((-0.506365641109771d)));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test153"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    incrementor0.incrementCount((-2));
    int i5 = incrementor0.getCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test154"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test155"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(2147483647);
    int i3 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test156"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_SUCCESSES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)10, (java.lang.Number)1557.4607629780771d, false);
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.9999930253396107d, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test157"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array20 = new double[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array20);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array23, d_array24);
    double[][] d_array_array27 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection22, d_array_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array18);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distanceInf(d_array30, d_array31);
    double[] d_array34 = new double[] {  };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array36 = new double[] {  };
    double d37 = org.apache.commons.math.util.MathUtils.distance(d_array34, d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array31, d_array36);
    double[] d_array39 = new double[] {  };
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double d42 = org.apache.commons.math.util.MathUtils.distanceInf(d_array39, d_array40);
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, d_array_array45);
    double[] d_array47 = new double[] {  };
    int i48 = org.apache.commons.math.util.MathUtils.hash(d_array47);
    double[] d_array49 = new double[] {  };
    double d50 = org.apache.commons.math.util.MathUtils.distance(d_array47, d_array49);
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array49);
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double[] d_array54 = new double[] {  };
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array52, d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distanceInf(d_array40, d_array52);
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[] d_array59 = new double[] {  };
    double d60 = org.apache.commons.math.util.MathUtils.distance(d_array57, d_array59);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection61 = null;
    double[] d_array62 = new double[] {  };
    double[] d_array63 = new double[] {  };
    int i64 = org.apache.commons.math.util.MathUtils.hash(d_array63);
    double d65 = org.apache.commons.math.util.MathUtils.distanceInf(d_array62, d_array63);
    double[][] d_array_array66 = new double[][] { d_array62 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array57, orderDirection61, d_array_array66);
    double d68 = org.apache.commons.math.util.MathUtils.distance(d_array52, d_array57);
    double[] d_array71 = new double[] { 1.0d, (-1.0d) };
    double[] d_array73 = org.apache.commons.math.util.MathUtils.copyOf(d_array71, 1);
    boolean b74 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array57, d_array71);
    boolean b75 = org.apache.commons.math.util.MathUtils.equals(d_array36, d_array71);
    double d76 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array71);
    double d77 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test158"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(1889706463, 159);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1889706304);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-91419.18247093061d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test160"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger11);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger11);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 340593891);
    java.math.BigInteger bigInteger16 = null;
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger18);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger25 = null;
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 0L);
    java.math.BigInteger bigInteger28 = null;
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger27, bigInteger30);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, bigInteger30);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 340593891);
    java.math.BigInteger bigInteger35 = null;
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger35, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, bigInteger37);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger24);
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 9223372036854775807L);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger41);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException45 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)bigInteger41, (java.lang.Number)1.1783268520761032d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test161"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array26);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array30);
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array35 = new double[] {  };
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array35);
    double d37 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    boolean b39 = org.apache.commons.math.util.MathUtils.equals(d_array26, d_array30);
    double d40 = org.apache.commons.math.util.MathUtils.distance1(d_array10, d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, (-9892741));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-1875132290));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test163"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver4 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-1.25786156262756d), 1.7518399959282467d);
    double d5 = regulaFalsiSolver4.getMax();
    double d6 = regulaFalsiSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver13 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3320824283505335d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver19 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d20 = regulaFalsiSolver19.getAbsoluteAccuracy();
    int i21 = regulaFalsiSolver19.getMaxEvaluations();
    double d22 = regulaFalsiSolver19.getMin();
    double d23 = regulaFalsiSolver19.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution27 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d28 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver19, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution27);
    double d29 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver13, 1.5750304369810868d, 2.108399511783361d, 0.34906585039888d, allowedSolution27);
    double d30 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-14), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver4, 1.1752011936438014d, 0.9144529852570117d, 0.0d, allowedSolution27);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction32 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = regulaFalsiSolver4.solve((-115707398), univariateRealFunction32, 0.655481326254852d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.7518399959282467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.5750304369810868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.1752011936438014d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test164"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.9010759505910197d, 2.051707796114911d, (-0.008451656885449466d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test165"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.0000000000000142d, 4.934614256244028d, 0.4278901460188722d, (-0.7970546072131488d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test166"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.7277036909014185d, 0.20688908133625983d, 5.0872032685618135E228d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test167"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getStartValue();
    double d3 = regulaFalsiSolver0.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver11 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.26903599074888146d);
    double d12 = regulaFalsiSolver11.getMin();
    double d13 = regulaFalsiSolver11.getStartValue();
    double d14 = regulaFalsiSolver11.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction19 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver20 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d21 = regulaFalsiSolver20.getAbsoluteAccuracy();
    double d22 = regulaFalsiSolver20.getMin();
    double d23 = regulaFalsiSolver20.getMin();
    double d24 = regulaFalsiSolver20.getRelativeAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution28 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d29 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1, univariateRealFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver20, 4.9E-324d, 0.6483608274590866d, (-0.004234084883722643d), allowedSolution28);
    double d30 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver11, 0.0d, 3.141592653589793d, 2.0d, allowedSolution28);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = regulaFalsiSolver0.solve(14080, univariateRealFunction5, (-0.6098494453571889d), (-8.881784197001256E-16d), allowedSolution28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test168"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.9207731516572653d);
    double d2 = regulaFalsiSolver1.getMax();
    double d3 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d4 = regulaFalsiSolver1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.9207731516572653d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test169"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.5718545946555302d, (-0.04127078981316574d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test170"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats1, localizable2, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    java.lang.Throwable[] throwable_array17 = mathArithmeticException16.getSuppressed();
    java.lang.Throwable[] throwable_array18 = mathArithmeticException16.getSuppressed();
    org.apache.commons.math.exception.ConvergenceException convergenceException19 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.06681309875108446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test172"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver4 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 0.0d);
    int i5 = regulaFalsiSolver4.getEvaluations();
    int i6 = regulaFalsiSolver4.getMaxEvaluations();
    double d7 = regulaFalsiSolver4.getStartValue();
    double d8 = regulaFalsiSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver17 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(2.718281828459045d, 1.9377047211159066E-18d, 2.035362234366688d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction22 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver25 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-0.506365641109771d), 1.9377047211159066E-18d);
    int i26 = regulaFalsiSolver25.getEvaluations();
    double d27 = regulaFalsiSolver25.getStartValue();
    double d28 = regulaFalsiSolver25.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction33 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver34 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d35 = regulaFalsiSolver34.getAbsoluteAccuracy();
    int i36 = regulaFalsiSolver34.getMaxEvaluations();
    double d37 = regulaFalsiSolver34.getMin();
    double d38 = regulaFalsiSolver34.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution42 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d43 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction33, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver34, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution42);
    double d44 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver25, 1.2234489452979638d, 1.3826566137631742d, 1.8400405224520175d, allowedSolution42);
    double d45 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1280, univariateRealFunction13, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver17, 1.0258538980574554d, 120.80239355262988d, 0.6931471805599453d, allowedSolution42);
    double d46 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-20), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver4, (-0.5525813106415136d), 0.6235622573672773d, 0.0d, allowedSolution42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.2234489452979638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0258538980574554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == (-0.5525813106415136d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test173"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.CROSSING_BOUNDARY_LOOPS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, Double.NEGATIVE_INFINITY, 0.0d, Double.NEGATIVE_INFINITY, 10.0d, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array17);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array22);
    double[][] d_array_array25 = new double[][] { d_array22 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array17, orderDirection20, d_array_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (java.lang.Object[])d_array_array25);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Object[])d_array_array25);
    org.apache.commons.math.exception.NoBracketingException noBracketingException29 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 1.7182818284590453d, (-0.017453292519943295d), 0.0d, 99.99999999999999d, (java.lang.Object[])d_array_array25);
    double d30 = noBracketingException29.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test174"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.UNKNOWN_MODE;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1, (java.lang.Number)(-0.5872139151569291d), false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.5872139151569291d)+ "'", number5.equals((-0.5872139151569291d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test175"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.5265890341390445d, (-0.2631236728716947d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test176"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 1125300);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test177"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array5 = new int[] { 0, 10, 1 };
    double d6 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array5);
    int[] i_array8 = new int[] { (-1) };
    int[] i_array12 = new int[] { 0, 10, 1 };
    double d13 = org.apache.commons.math.util.MathUtils.distance(i_array8, i_array12);
    int i14 = org.apache.commons.math.util.MathUtils.distance1(i_array1, i_array8);
    int[] i_array16 = new int[] { (-1) };
    int[] i_array20 = new int[] { 0, 10, 1 };
    double d21 = org.apache.commons.math.util.MathUtils.distance(i_array16, i_array20);
    int[] i_array23 = new int[] { (-1) };
    int[] i_array27 = new int[] { 0, 10, 1 };
    double d28 = org.apache.commons.math.util.MathUtils.distance(i_array23, i_array27);
    int i29 = org.apache.commons.math.util.MathUtils.distance1(i_array16, i_array23);
    int i30 = org.apache.commons.math.util.MathUtils.distanceInf(i_array1, i_array16);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array33 = new int[] { (-1) };
    int[] i_array37 = new int[] { 0, 10, 1 };
    double d38 = org.apache.commons.math.util.MathUtils.distance(i_array33, i_array37);
    int[] i_array40 = new int[] { (-1) };
    int[] i_array44 = new int[] { 0, 10, 1 };
    double d45 = org.apache.commons.math.util.MathUtils.distance(i_array40, i_array44);
    int i46 = org.apache.commons.math.util.MathUtils.distance1(i_array33, i_array40);
    int[] i_array48 = new int[] { (-1) };
    int[] i_array52 = new int[] { 0, 10, 1 };
    double d53 = org.apache.commons.math.util.MathUtils.distance(i_array48, i_array52);
    int[] i_array55 = new int[] { (-1) };
    int[] i_array59 = new int[] { 0, 10, 1 };
    double d60 = org.apache.commons.math.util.MathUtils.distance(i_array55, i_array59);
    int i61 = org.apache.commons.math.util.MathUtils.distance1(i_array48, i_array55);
    int i62 = org.apache.commons.math.util.MathUtils.distanceInf(i_array33, i_array48);
    int[] i_array63 = org.apache.commons.math.util.MathUtils.copyOf(i_array48);
    int[] i_array65 = new int[] { (-1) };
    int[] i_array69 = new int[] { 0, 10, 1 };
    double d70 = org.apache.commons.math.util.MathUtils.distance(i_array65, i_array69);
    int[] i_array72 = new int[] { (-1) };
    int[] i_array76 = new int[] { 0, 10, 1 };
    double d77 = org.apache.commons.math.util.MathUtils.distance(i_array72, i_array76);
    int i78 = org.apache.commons.math.util.MathUtils.distance1(i_array65, i_array72);
    int[] i_array80 = new int[] { (-1) };
    int[] i_array84 = new int[] { 0, 10, 1 };
    double d85 = org.apache.commons.math.util.MathUtils.distance(i_array80, i_array84);
    int[] i_array87 = new int[] { (-1) };
    int[] i_array91 = new int[] { 0, 10, 1 };
    double d92 = org.apache.commons.math.util.MathUtils.distance(i_array87, i_array91);
    int i93 = org.apache.commons.math.util.MathUtils.distance1(i_array80, i_array87);
    int i94 = org.apache.commons.math.util.MathUtils.distanceInf(i_array65, i_array80);
    int[] i_array95 = org.apache.commons.math.util.MathUtils.copyOf(i_array80);
    double d96 = org.apache.commons.math.util.MathUtils.distance(i_array48, i_array95);
    int i97 = org.apache.commons.math.util.MathUtils.distance1(i_array31, i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i97 == 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.5568107087360907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1979752019161782d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test179"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9698752596596938d, 0.14254654307427825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9698752596596938d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test180"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, 0.0027571986608224152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test181"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.1920928955078125E-7d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test182"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.44087121790935846d, (-45709.423622221155d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141583008506067d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test183"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.270686754474179d, 1.2234489452979638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test184"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9640275800758169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1204413228389418d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test185"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.8101077181230741d, 1.1979752019161782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8101077181230741d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.14254654307427825d, (-127), (-419566920));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.log(82.39208950899548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.411489431202601d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(181.0433709552893d, (-0.2974521926398215d), 28.47386680007416d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test189"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(5047021158257662865L, 8000000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5047021150257662865L);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test190"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2.419245118894757d, 2.035362234366688d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4192451188947564d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.5213343020904064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2588399808776072d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test192"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.8084073493473989d, number1, false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test193"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.1119353167310924d, (-2.3199484671188123E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1119353167310924d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test194"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEFINITE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double[] d_array9 = new double[] {  };
    double d10 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array9);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection11 = null;
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double d15 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array13);
    double[][] d_array_array16 = new double[][] { d_array12 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array7, orderDirection11, d_array_array16);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array19);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array24 = new double[] {  };
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array19, d_array24);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array28);
    double[] d_array31 = new double[] {  };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double[] d_array33 = new double[] {  };
    double d34 = org.apache.commons.math.util.MathUtils.distance(d_array31, d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distance(d_array28, d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    boolean b37 = org.apache.commons.math.util.MathUtils.equals(d_array24, d_array28);
    double d38 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array24);
    double[] d_array39 = new double[] {  };
    int i40 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    double[] d_array41 = new double[] {  };
    double d42 = org.apache.commons.math.util.MathUtils.distance(d_array39, d_array41);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection43 = null;
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double d47 = org.apache.commons.math.util.MathUtils.distanceInf(d_array44, d_array45);
    double[][] d_array_array48 = new double[][] { d_array44 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, orderDirection43, d_array_array48);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, d_array_array48);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (java.lang.Object[])d_array_array48);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test195"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.1833098049121404E224d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1833098049121404E224d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test196"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-0.5414175534226262d));
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = regulaFalsiSolver1.solve(285250919, univariateRealFunction3, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test197"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.006103515f, (-1455565369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test198"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-128.0f), (-71534564), (-721338495));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test199"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(1744L, 5047021158257662865L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test200"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(10.1f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.1f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test201"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(2.1083995117833614d, 67.3340684745264d, 8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.5710835792402666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6491293807978002d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test203"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2980743E34f, (-0.9999998f), 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(6.1035156E-5f, (-1708096095), 9892741);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test205"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 1556015370);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test206"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = null;
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[][] d_array_array17 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection12, d_array_array17);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[] d_array25 = new double[] {  };
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array23, d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array25);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    int i30 = org.apache.commons.math.util.MathUtils.hash(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array29);
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double[] d_array34 = new double[] {  };
    double d35 = org.apache.commons.math.util.MathUtils.distance(d_array32, d_array34);
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array29, d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    boolean b38 = org.apache.commons.math.util.MathUtils.equals(d_array25, d_array29);
    double d39 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array25);
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array8);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array1, (-970));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test207"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double d18 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    double[] d_array19 = null;
    double d20 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array19);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array22);
    double[] d_array25 = new double[] {  };
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    double[] d_array27 = new double[] {  };
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array25, d_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array27);
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double[] d_array32 = new double[] {  };
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array32);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection34 = null;
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distanceInf(d_array35, d_array36);
    double[][] d_array_array39 = new double[][] { d_array35 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array30, orderDirection34, d_array_array39);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = new double[] {  };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distanceInf(d_array41, d_array42);
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array47 = new double[] {  };
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array42, d_array47);
    double[] d_array50 = new double[] {  };
    double[] d_array51 = new double[] {  };
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array51);
    double d53 = org.apache.commons.math.util.MathUtils.distanceInf(d_array50, d_array51);
    double[] d_array54 = new double[] {  };
    int i55 = org.apache.commons.math.util.MathUtils.hash(d_array54);
    double[] d_array56 = new double[] {  };
    double d57 = org.apache.commons.math.util.MathUtils.distance(d_array54, d_array56);
    double d58 = org.apache.commons.math.util.MathUtils.distance(d_array51, d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    boolean b60 = org.apache.commons.math.util.MathUtils.equals(d_array47, d_array51);
    double d61 = org.apache.commons.math.util.MathUtils.distance1(d_array30, d_array47);
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array47);
    // The following exception was thrown during execution in test generation
    try {
      double d63 = org.apache.commons.math.util.MathUtils.distance1(d_array19, d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test208"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 1.3843198246670079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test209"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(0L, (-802109855));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test210"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test211"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.02051113020245179d, 0.7936520871862218d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-12652843234348800L), (-5047021154770878464L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test213"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.1833098049121405E222d);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution7 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1048576000, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver3, 0.7609676976586378d, 1.1675485631677982d, 22.0d, allowedSolution7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution7);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test214"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.1032080659042083d, 0.6186065916610313d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test215"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.5f, 1.1920929E-7f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test216"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.4333079051049607d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test217"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array7);
    mathArithmeticException5.addSuppressed((java.lang.Throwable)nullArgumentException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException5.getContext();
    exceptionContext10.setValue("", (java.lang.Object)(-0.5872139151569291d));
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver18 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(2.718281828459045d, 1.9377047211159066E-18d, 2.035362234366688d);
    double d19 = regulaFalsiSolver18.getMin();
    exceptionContext10.setValue("hi!", (java.lang.Object)regulaFalsiSolver18);
    java.util.Set set21 = exceptionContext10.getKeys();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction24 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver25 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d26 = regulaFalsiSolver25.getFunctionValueAccuracy();
    double d27 = regulaFalsiSolver25.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction32 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver34 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3320824283505335d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction39 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver40 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d41 = regulaFalsiSolver40.getAbsoluteAccuracy();
    int i42 = regulaFalsiSolver40.getMaxEvaluations();
    double d43 = regulaFalsiSolver40.getMin();
    double d44 = regulaFalsiSolver40.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution48 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction39, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver40, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution48);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver34, 1.5750304369810868d, 2.108399511783361d, 0.34906585039888d, allowedSolution48);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction24, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver25, 1.1250693835428638d, (-36.7368005696771d), (-0.004234110186099469d), allowedSolution48);
    exceptionContext10.setValue("", (java.lang.Object)d51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.5750304369810868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.1250693835428638d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test218"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double d7 = org.apache.commons.math.util.MathUtils.distanceInf(d_array4, d_array5);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array10);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array5);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array15);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array20 = new double[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distance(d_array15, d_array20);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array20);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array30);
    double[][] d_array_array33 = new double[][] { d_array29 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array24, orderDirection28, d_array_array33);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distanceInf(d_array35, d_array36);
    double[] d_array39 = new double[] {  };
    int i40 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    double[] d_array41 = new double[] {  };
    double d42 = org.apache.commons.math.util.MathUtils.distance(d_array39, d_array41);
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array36, d_array41);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double d47 = org.apache.commons.math.util.MathUtils.distanceInf(d_array44, d_array45);
    double[] d_array48 = new double[] {  };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array50 = new double[] {  };
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array48, d_array50);
    double d52 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array50);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    boolean b54 = org.apache.commons.math.util.MathUtils.equals(d_array41, d_array45);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array24, d_array41);
    double[] d_array56 = new double[] {  };
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double d59 = org.apache.commons.math.util.MathUtils.distanceInf(d_array56, d_array57);
    double[] d_array60 = new double[] {  };
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array57, d_array_array62);
    double[] d_array64 = new double[] {  };
    int i65 = org.apache.commons.math.util.MathUtils.hash(d_array64);
    double[] d_array66 = new double[] {  };
    double d67 = org.apache.commons.math.util.MathUtils.distance(d_array64, d_array66);
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array57, d_array66);
    double[] d_array69 = new double[] {  };
    int i70 = org.apache.commons.math.util.MathUtils.hash(d_array69);
    double[] d_array71 = new double[] {  };
    double d72 = org.apache.commons.math.util.MathUtils.distance(d_array69, d_array71);
    double d73 = org.apache.commons.math.util.MathUtils.distanceInf(d_array57, d_array69);
    double d74 = org.apache.commons.math.util.MathUtils.safeNorm(d_array69);
    double d75 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array69);
    double[] d_array76 = new double[] {  };
    int i77 = org.apache.commons.math.util.MathUtils.hash(d_array76);
    double[] d_array78 = new double[] {  };
    double d79 = org.apache.commons.math.util.MathUtils.distance(d_array76, d_array78);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection80 = null;
    double[] d_array81 = new double[] {  };
    double[] d_array82 = new double[] {  };
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array82);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array81, d_array82);
    double[][] d_array_array85 = new double[][] { d_array81 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array76, orderDirection80, d_array_array85);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array69, d_array_array85);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array85);
    double d89 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array20);
    double[] d_array90 = null;
    double d91 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array90);
    double[] d_array93 = org.apache.commons.math.util.MathUtils.copyOf(d_array5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.6931471805599452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test220"); }


    int i1 = org.apache.commons.math.util.FastMath.round(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test221"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.009999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2016046747);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test222"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = null;
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array6);
    double[][] d_array_array9 = new double[][] { d_array5 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array0, orderDirection4, d_array_array9);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    int i13 = org.apache.commons.math.util.MathUtils.hash(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distanceInf(d_array11, d_array12);
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double[] d_array17 = new double[] {  };
    double d18 = org.apache.commons.math.util.MathUtils.distance(d_array15, d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distance(d_array12, d_array17);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array17, d_array21);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array17);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array33);
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array33, d_array_array38);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array42);
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array47 = new double[] {  };
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array33, d_array45);
    double d50 = org.apache.commons.math.util.MathUtils.safeNorm(d_array45);
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array45);
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double[] d_array54 = new double[] {  };
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array52, d_array54);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection56 = null;
    double[] d_array57 = new double[] {  };
    double[] d_array58 = new double[] {  };
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array58);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array57, d_array58);
    double[][] d_array_array61 = new double[][] { d_array57 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array52, orderDirection56, d_array_array61);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array45, d_array_array61);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array64, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.2234489452979638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.799059569291893d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0615446137803413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34906585039887994d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.06681309875108446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9977688350944416d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test226"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(925845181, 1000000046);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test227"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)3.3169359180698614E-13d);
    boolean b6 = notStrictlyPositiveException5.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test228"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-786880204), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test229"); }


    int i2 = org.apache.commons.math.util.FastMath.max(3, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(6.250131699274782E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0018420286874766937d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test231"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EVALUATION_FAILED;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)512.0353532566868d);
    java.lang.String str3 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test232"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double d18 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array20, d_array_array25);
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array29 = new double[] {  };
    double d30 = org.apache.commons.math.util.MathUtils.distance(d_array27, d_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array29);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException(number32, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array38);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[][] d_array_array46 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array38, orderDirection41, d_array_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array29, d_array_array46);
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array13, d_array29);
    double d51 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    double d52 = org.apache.commons.math.util.MathUtils.safeNorm(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test233"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.028758363847062984d, 2.4632203299911905E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4632203299911905E7d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test234"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.USER_EXCEPTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { localizedFormats5 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException10 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.VECTOR_LENGTH_MISMATCH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_STANDARD_DEVIATION;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException17 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (java.lang.Number)(-0.99999994f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = mathIllegalStateException21.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array27);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    exceptionContext22.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, number20, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array27);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (java.lang.Number)1.9377047211159066E-18d, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext36 = mathIllegalStateException35.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array41);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array41);
    exceptionContext36.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array49);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException51 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array49);
    exceptionContext36.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array49);
    org.apache.commons.math.exception.ConvergenceException convergenceException53 = new org.apache.commons.math.exception.ConvergenceException(localizable34, obj_array49);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array49);
    java.lang.String str55 = localizedFormats13.getSourceString();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext58 = mathIllegalStateException57.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException64 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array63);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException65 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array63);
    exceptionContext58.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats59, obj_array63);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats67 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats69 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException72 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array71);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException73 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats68, obj_array71);
    exceptionContext58.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats67, obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array71);
    java.lang.Object[] obj_array76 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array71);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "vector length mismatch: got {0} but expected {1}"+ "'", str55.equals("vector length mismatch: got {0} but expected {1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.6111855883318174E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test236"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(3.071445495803223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1142410430);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test237"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(6.387751072804939E11d, 1.1204413228389418d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test238"); }


    float f2 = org.apache.commons.math.util.MathUtils.round((-0.99999994f), 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test239"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.9999999999999991d, (-0.782774350870361d), (-0.5525813106415136d), 43.5257238204528d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9999999999999991d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test240"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2207031E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-13));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test241"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.5718545946555302d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test242"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_FORMAT_OBJECT_TO_FRACTION;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test243"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.332621544395286E157d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test244"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1023));
    incrementor0.incrementCount((-2));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(10);
    int i10 = incrementor0.getCount();
    incrementor0.incrementCount((-419566920));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test245"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-12652843234348800L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 12652843234348800L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test246"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 100.0d, (-0.5872139151569291d), 0.17453292519943295d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test247"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)(-0.9750155945865044d), true);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test248"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(99L, 94L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test249"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, number1, (java.lang.Number)0.17453292519943295d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.17453292519943295d+ "'", number7.equals(0.17453292519943295d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test250"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)6.2403447575266435d, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 6.2403447575266435d+ "'", number4.equals(6.2403447575266435d));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test251"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(10.000001f, 0.009765626f, 800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test252"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.3440585709080678E43d, 1.3440585709080487E43d, 3.141592653589793d, 0.0d);
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.3440585709080487E43d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test253"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.006103515f, 0.5000001f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test254"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-2104541596), (-2104541596));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test255"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(1744L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6286311496762785792L));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test256"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 8.071212086608123E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.071212086608123E-4d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test257"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.9458613542326715d, 0.6491293807978002d, 762716574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(762716574, 2001452120);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.4333079051049607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.658261274195103d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.1899992488170141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7956501153885984d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test261"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1280);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1280);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test262"); }


    double[] d_array3 = new double[] {  };
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array4);
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double[] d_array9 = new double[] {  };
    double d10 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array9);
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array14, 1);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array16);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection18, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException22 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.7434638294890411d, (java.lang.Number)0.3561979324000266d, (-1), orderDirection18, true);
    java.lang.String str23 = nonMonotonousSequenceException22.toString();
    int i24 = nonMonotonousSequenceException22.getIndex();
    boolean b25 = nonMonotonousSequenceException22.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -2 and -1 are not strictly increasing (0.356 >= 0.743)"+ "'", str23.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -2 and -1 are not strictly increasing (0.356 >= 0.743)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test263"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SIMPLEX_NEED_ONE_POINT;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.009640602058324897d, (java.lang.Number)(-0.9707410314679565d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test264"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.41891264481689616d, 1000000000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test265"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POISSON_MEAN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats4, localizable5, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.2789994678721091d, obj_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkNotNull(obj0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test266"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test267"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getMin();
    double d3 = regulaFalsiSolver0.getMin();
    double d4 = regulaFalsiSolver0.getStartValue();
    int i5 = regulaFalsiSolver0.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test268"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NO_REGRESSORS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5f, (java.lang.Number)1, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.String str7 = numberIsTooLargeException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5f+ "'", number5.equals(0.5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: Regression model must include at least one regressor"+ "'", str7.equals("org.apache.commons.math.exception.NumberIsTooLargeException: Regression model must include at least one regressor"));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test269"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.0042340848838133644d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9957748662158934d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.5750304369810868d, (-140.57837538622812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.130389191221521d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.34906585039887994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34906585039888d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test272"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(5047021158257662865L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5047021158257662865L);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test273"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm(2L, 700358400L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 700358400L);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test274"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger8);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger8);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger19);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger19);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 340593891);
    java.math.BigInteger bigInteger24 = null;
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger26);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 0L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger26);
    java.math.BigInteger bigInteger31 = null;
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 0L);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, bigInteger36);
    java.math.BigInteger bigInteger38 = null;
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 0L);
    java.math.BigInteger bigInteger41 = null;
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 0L);
    java.math.BigInteger bigInteger44 = null;
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 0L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, bigInteger46);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, bigInteger46);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, bigInteger46);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger49);
    org.apache.commons.math.exception.NotPositiveException notPositiveException51 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger49);
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger49, 1819456678);
    java.math.BigInteger bigInteger54 = null;
    java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger54, 0L);
    java.math.BigInteger bigInteger57 = null;
    java.math.BigInteger bigInteger59 = org.apache.commons.math.util.MathUtils.pow(bigInteger57, 0L);
    java.math.BigInteger bigInteger60 = null;
    java.math.BigInteger bigInteger62 = org.apache.commons.math.util.MathUtils.pow(bigInteger60, 0L);
    java.math.BigInteger bigInteger63 = org.apache.commons.math.util.MathUtils.pow(bigInteger59, bigInteger62);
    java.math.BigInteger bigInteger64 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, bigInteger62);
    java.math.BigInteger bigInteger66 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, 340593891);
    java.math.BigInteger bigInteger67 = null;
    java.math.BigInteger bigInteger69 = org.apache.commons.math.util.MathUtils.pow(bigInteger67, 0L);
    java.math.BigInteger bigInteger70 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, bigInteger69);
    java.math.BigInteger bigInteger72 = org.apache.commons.math.util.MathUtils.pow(bigInteger69, 0L);
    java.math.BigInteger bigInteger74 = org.apache.commons.math.util.MathUtils.pow(bigInteger72, 1454049048);
    java.math.BigInteger bigInteger75 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger75);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test275"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.6537328851774782d, 0.19387544697571074d, 0.8815447595484084d, 0.0021540669122795558d, 2.5213343020904064d, 4.725279056107251E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.1914008171112719E13d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test276"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(257L, 20L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 277L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test277"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence((-91419.18247093061d), (-0.38178828245338625d), 42.335616460753485d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.27572056477178314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.79762468638662d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test279"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.7970546072131488d), 44.0d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-2.5045996724459267d), 0.7950861773267864d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.5045996724459267d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test281"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(9892741);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9892741);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test282"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(184331630);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test283"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.192092895507807E-7d, 67.3340684745264d, 534.4916555247679d, (-71534561));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test284"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.99999994f), 0.0048828125f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test285"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.43330790510496064d), (-0.09826624418058881d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test286"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-2.1049893829735575d), 2027362305);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test287"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)120.80239355262988d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test288"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.004234110186144831d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test289"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.192092895507804E-7d, (java.lang.Number)1.5680391246406251d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test290"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.2139450730094361d, 0.22735128361236823d, 1.0577088894393134E74d, 1.25786156262756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.3304513564751958E74d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-48.74202598116895d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test292"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(1.578210271369887d, 0.02051113020245179d, 3.896658688414558d, 0.9825163375290217d, 1.1977461928657023d, 1.3246090892520057d, 0.0d, 44.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 5.447447193191523d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test293"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(8.159517404866573d);
    double d2 = regulaFalsiSolver1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test294"); }


    double[] d_array3 = new double[] {  };
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double d6 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array4);
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double[] d_array9 = new double[] {  };
    double d10 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array9);
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array9);
    double[] d_array14 = new double[] { 1.0d, (-1.0d) };
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array14, 1);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array16);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection18 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection18, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException22 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.0027571986608224152d, (java.lang.Number)(-0.4333079051049607d), (-9892741), orderDirection18, true);
    boolean b23 = nonMonotonousSequenceException22.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test295"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger4 = null;
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger9);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger9);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 340593891);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger16);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger23 = null;
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger26 = null;
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 0L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, bigInteger28);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, bigInteger28);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 340593891);
    java.math.BigInteger bigInteger33 = null;
    java.math.BigInteger bigInteger35 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, bigInteger35);
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger22);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 9223372036854775807L);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException43 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)27.182818284588883d, (java.lang.Number)bigInteger39, (-71535587), orderDirection41, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger39, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test296"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, d_array_array15);
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[] d_array19 = new double[] {  };
    double d20 = org.apache.commons.math.util.MathUtils.distance(d_array17, d_array19);
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array19);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array24 = new double[] {  };
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array10, d_array22);
    double[] d_array27 = new double[] {  };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array29 = new double[] {  };
    double d30 = org.apache.commons.math.util.MathUtils.distance(d_array27, d_array29);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection31 = null;
    double[] d_array32 = new double[] {  };
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array33);
    double[][] d_array_array36 = new double[][] { d_array32 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array27, orderDirection31, d_array_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array27);
    double[] d_array41 = new double[] { 1.0d, (-1.0d) };
    double[] d_array43 = org.apache.commons.math.util.MathUtils.copyOf(d_array41, 1);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array41);
    boolean b45 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array41);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_TRANSFORM_TO_DOUBLE;
    double[] d_array48 = new double[] {  };
    double[] d_array49 = new double[] {  };
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distanceInf(d_array48, d_array49);
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double[] d_array54 = new double[] {  };
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array52, d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distance(d_array49, d_array54);
    double[] d_array60 = new double[] {  };
    double[] d_array61 = new double[] {  };
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array61);
    double d63 = org.apache.commons.math.util.MathUtils.distanceInf(d_array60, d_array61);
    double[] d_array64 = new double[] {  };
    int i65 = org.apache.commons.math.util.MathUtils.hash(d_array64);
    double[] d_array66 = new double[] {  };
    double d67 = org.apache.commons.math.util.MathUtils.distance(d_array64, d_array66);
    double d68 = org.apache.commons.math.util.MathUtils.distance(d_array61, d_array66);
    double[] d_array71 = new double[] { 1.0d, (-1.0d) };
    double[] d_array73 = org.apache.commons.math.util.MathUtils.copyOf(d_array71, 1);
    double d74 = org.apache.commons.math.util.MathUtils.distanceInf(d_array66, d_array73);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection75 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array73, orderDirection75, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException79 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)0, (java.lang.Number)(-10), 20, orderDirection75, true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats80 = org.apache.commons.math.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    double[] d_array81 = new double[] {  };
    double[] d_array82 = new double[] {  };
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array82);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array81, d_array82);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection85 = null;
    double[] d_array86 = new double[] {  };
    double[] d_array87 = new double[] {  };
    int i88 = org.apache.commons.math.util.MathUtils.hash(d_array87);
    double d89 = org.apache.commons.math.util.MathUtils.distanceInf(d_array86, d_array87);
    double[][] d_array_array90 = new double[][] { d_array87 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array82, orderDirection85, d_array_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException92 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats80, (java.lang.Object[])d_array_array90);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array49, orderDirection75, d_array_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException94 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, (java.lang.Object[])d_array_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException95 = new org.apache.commons.math.exception.MathIllegalStateException(localizable46, (java.lang.Object[])d_array_array90);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array41, d_array_array90);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array90);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test297"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger8);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger8);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 340593891);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger15);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, (-802109855));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test298"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.4210854715202004E-14d);
    double d4 = regulaFalsiSolver3.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver11 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3320824283505335d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction16 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver17 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d18 = regulaFalsiSolver17.getAbsoluteAccuracy();
    int i19 = regulaFalsiSolver17.getMaxEvaluations();
    double d20 = regulaFalsiSolver17.getMin();
    double d21 = regulaFalsiSolver17.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution25 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d26 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction16, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver17, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution25);
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver11, 1.5750304369810868d, 2.108399511783361d, 0.34906585039888d, allowedSolution25);
    double d28 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-2), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver3, (-0.09826624418058881d), (-0.2974521926398215d), (-0.5721222463383233d), allowedSolution25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.5750304369810868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-0.09826624418058881d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test299"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NO_OPTIMUM_COMPUTED_YET;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException(number2, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array7 = new double[] {  };
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double d10 = org.apache.commons.math.util.MathUtils.distanceInf(d_array7, d_array8);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection11 = null;
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double d15 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array13);
    double[][] d_array_array16 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection11, d_array_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (java.lang.Object[])d_array_array16);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = mathIllegalStateException18.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_COLUMNS_NOT_INITIALIZED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ELEMENT_NOT_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEFINITE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.17453292519943295d, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array27);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    exceptionContext19.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array27);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.6235622573672773d, obj_array27);
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException37 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, number34, (java.lang.Number)(-32.78279173342844d), true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array41);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext43 = mathArithmeticException42.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext44 = mathArithmeticException42.getContext();
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { localizedFormats47 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable46, obj_array48);
    exceptionContext44.addMessage(localizable45, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException55 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array54);
    java.lang.Throwable[] throwable_array56 = nullArgumentException55.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException57 = new org.apache.commons.math.exception.NullArgumentException(localizable52, (java.lang.Object[])throwable_array56);
    exceptionContext44.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats51, (java.lang.Object[])throwable_array56);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException59 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.9950547536867305d), (java.lang.Object[])throwable_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test300"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.506365641109771d));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test301"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1142272442899126d, 0.4701120008964814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2093418231851514d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test302"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test303"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.4E-45f, 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test304"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.8536707641072302d, (-0.01808632057098374d), (-786880204));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test305"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.000002f, (-1.2676505E30f), (-115707398));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test306"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.27899946787210905d, number2, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test307"); }


    float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, 1455565370, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test308"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { localizedFormats4 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array5);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array5);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array5);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEFINITE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException18 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext25 = mathIllegalStateException24.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array30);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array30);
    exceptionContext25.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array30);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array38);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array38);
    exceptionContext25.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array38);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException56 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array55);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException57 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Object[] obj_array59 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException60 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array59);
    mathArithmeticException57.addSuppressed((java.lang.Throwable)nullArgumentException60);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext62 = mathArithmeticException57.getContext();
    exceptionContext62.setValue("", (java.lang.Object)(-0.5872139151569291d));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.UNKNOWN_MODE;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException70 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats66, (java.lang.Number)1, (java.lang.Number)(-0.5872139151569291d), false);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats76 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException78 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats76, obj_array77);
    java.lang.Throwable[] throwable_array79 = nullArgumentException78.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException80 = new org.apache.commons.math.exception.NullArgumentException(localizable75, (java.lang.Object[])throwable_array79);
    org.apache.commons.math.exception.NoBracketingException noBracketingException81 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats66, 1.0615446137803413d, 27.18281828459045d, 27.18281828459045d, 1.9010759505910197d, (java.lang.Object[])throwable_array79);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException83 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.016070523160384362d);
    java.lang.Throwable[] throwable_array84 = tooManyEvaluationsException83.getSuppressed();
    exceptionContext62.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats66, (java.lang.Object[])throwable_array84);
    org.apache.commons.math.exception.NoBracketingException noBracketingException86 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, 1.25786156262756d, 0.999930952259767d, 1.1250693835428636d, 0.028246005841463518d, (java.lang.Object[])throwable_array84);
    org.apache.commons.math.exception.NoBracketingException noBracketingException87 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, (-0.5525813106415136d), 5.0487097934144756E-29d, 3.071445495803223d, 1.192092895507804E-7d, (java.lang.Object[])throwable_array84);
    org.apache.commons.math.exception.NoBracketingException noBracketingException88 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 0.948629886103331d, 1.1675485631677982d, (-0.13430050831022275d), 1.1250693835428638d, (java.lang.Object[])throwable_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test309"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(1179235361);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test310"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.000000000000007d, (-0.018251877313126323d), 1.1707758706334404d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.9123448801725063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7222558201870031d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test312"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.4210855E-14f, 6.830189170012751E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test313"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.34906585039887994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3565740648516855d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test314"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i2 = regulaFalsiSolver0.getMaxEvaluations();
    double d3 = regulaFalsiSolver0.getMin();
    int i4 = regulaFalsiSolver0.getEvaluations();
    int i5 = regulaFalsiSolver0.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver0.solve(1455565370, univariateRealFunction7, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test315"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.5707963267942038d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test316"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, (-1.0862980107885825d), (-0.004234110186144831d), 0.009999999999999998d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test317"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0438183205403413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test318"); }


    float[] f_array0 = new float[] {  };
    float[] f_array4 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b5 = org.apache.commons.math.util.MathUtils.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array10 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(f_array6, f_array10);
    float[] f_array12 = new float[] {  };
    float[] f_array16 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b17 = org.apache.commons.math.util.MathUtils.equals(f_array12, f_array16);
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array10, f_array12);
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array0, f_array12);
    float[] f_array20 = new float[] {  };
    float[] f_array24 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b25 = org.apache.commons.math.util.MathUtils.equals(f_array20, f_array24);
    float[] f_array27 = new float[] { 100.0f };
    float[] f_array29 = new float[] { 1.0f };
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array27, f_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equals(f_array24, f_array29);
    float[] f_array32 = new float[] {  };
    float[] f_array36 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b37 = org.apache.commons.math.util.MathUtils.equals(f_array32, f_array36);
    float[] f_array39 = new float[] { 100.0f };
    float[] f_array41 = new float[] { 1.0f };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array39, f_array41);
    boolean b43 = org.apache.commons.math.util.MathUtils.equals(f_array36, f_array39);
    boolean b44 = org.apache.commons.math.util.MathUtils.equals(f_array24, f_array36);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array36);
    float[] f_array47 = new float[] { 100.0f };
    float[] f_array49 = new float[] { 1.0f };
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array47, f_array49);
    float[] f_array51 = new float[] {  };
    float[] f_array55 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b56 = org.apache.commons.math.util.MathUtils.equals(f_array51, f_array55);
    float[] f_array57 = new float[] {  };
    float[] f_array61 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b62 = org.apache.commons.math.util.MathUtils.equals(f_array57, f_array61);
    boolean b63 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array55, f_array57);
    boolean b64 = org.apache.commons.math.util.MathUtils.equals(f_array47, f_array57);
    boolean b65 = org.apache.commons.math.util.MathUtils.equals(f_array12, f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test319"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(3L, 700358400L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test320"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-71535587), 163497153);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-71535587));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(14.254493361369716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 816.7223087037349d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test322"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getStartValue();
    int i3 = regulaFalsiSolver0.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = regulaFalsiSolver0.solve(181995442, univariateRealFunction5, (-0.2974521926398215d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test323"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.0d, 0.26903599074888146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test324"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(9.536743E-7f, (-1.1920929E-7f), (-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test325"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.8399393421588186d, (-36.7368005696771d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test326"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(5047021150257662865L, 2001452120);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1300460829215756927L));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test327"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9207731516572653d, (java.lang.Number)2.051707796114911d, 1455565370);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test328"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.103516E-5f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.06681309875108446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06681309875108447d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test330"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(1L, 3486784401L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3486784402L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test331"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.3234889800848443E-23d, 10.809709011479557d, (-0.13430050831022275d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test332"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0d, (java.lang.Number)9223372036854775807L, true);
    double[] d_array5 = new double[] {  };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array7 = new double[] {  };
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array5, d_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    double[] d_array10 = new double[] {  };
    double[] d_array11 = new double[] {  };
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array11);
    double d13 = org.apache.commons.math.util.MathUtils.distanceInf(d_array10, d_array11);
    double[][] d_array_array14 = new double[][] { d_array10 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array5, orderDirection9, d_array_array14);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array17);
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array22 = new double[] {  };
    double d23 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distance(d_array17, d_array22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distanceInf(d_array25, d_array26);
    double[] d_array29 = new double[] {  };
    int i30 = org.apache.commons.math.util.MathUtils.hash(d_array29);
    double[] d_array31 = new double[] {  };
    double d32 = org.apache.commons.math.util.MathUtils.distance(d_array29, d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    boolean b35 = org.apache.commons.math.util.MathUtils.equals(d_array22, d_array26);
    double d36 = org.apache.commons.math.util.MathUtils.distance1(d_array5, d_array22);
    double[] d_array37 = new double[] {  };
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    double[] d_array39 = new double[] {  };
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array39);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[][] d_array_array46 = new double[][] { d_array42 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array37, orderDirection41, d_array_array46);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array22, d_array_array46);
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Object[])d_array_array46);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext50 = convergenceException49.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext50);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.948629886103331d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.32191941503393484d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test334"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, d_array_array19);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array19);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array22, d_array23);
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, d_array_array28);
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double[] d_array32 = new double[] {  };
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array32);
    double[] d_array35 = new double[] {  };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array37 = new double[] {  };
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array23, d_array35);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection44 = null;
    double[] d_array45 = new double[] {  };
    double[] d_array46 = new double[] {  };
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double d48 = org.apache.commons.math.util.MathUtils.distanceInf(d_array45, d_array46);
    double[][] d_array_array49 = new double[][] { d_array45 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, orderDirection44, d_array_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array40);
    double[] d_array54 = new double[] { 1.0d, (-1.0d) };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array54);
    double[] d_array58 = null;
    double d59 = org.apache.commons.math.util.MathUtils.distance1(d_array40, d_array58);
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array40);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array62 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array40, 0.07515628190169388d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test335"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-1120110564), 71534561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test336"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double[] d_array18 = new double[] {  };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array20 = new double[] {  };
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array18, d_array20);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array23, d_array24);
    double[][] d_array_array27 = new double[][] { d_array23 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection22, d_array_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array18);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double d33 = org.apache.commons.math.util.MathUtils.distanceInf(d_array30, d_array31);
    double[] d_array34 = new double[] {  };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, d_array_array36);
    double[] d_array38 = new double[] {  };
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double[] d_array40 = new double[] {  };
    double d41 = org.apache.commons.math.util.MathUtils.distance(d_array38, d_array40);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    double[] d_array43 = new double[] {  };
    double[] d_array44 = new double[] {  };
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array44);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array43, d_array44);
    double[][] d_array_array47 = new double[][] { d_array43 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array38, orderDirection42, d_array_array47);
    double[] d_array49 = new double[] {  };
    double[] d_array50 = new double[] {  };
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array50);
    double d52 = org.apache.commons.math.util.MathUtils.distanceInf(d_array49, d_array50);
    double[] d_array53 = new double[] {  };
    int i54 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    double[] d_array55 = new double[] {  };
    double d56 = org.apache.commons.math.util.MathUtils.distance(d_array53, d_array55);
    double d57 = org.apache.commons.math.util.MathUtils.distance(d_array50, d_array55);
    double[] d_array58 = new double[] {  };
    double[] d_array59 = new double[] {  };
    int i60 = org.apache.commons.math.util.MathUtils.hash(d_array59);
    double d61 = org.apache.commons.math.util.MathUtils.distanceInf(d_array58, d_array59);
    double[] d_array62 = new double[] {  };
    int i63 = org.apache.commons.math.util.MathUtils.hash(d_array62);
    double[] d_array64 = new double[] {  };
    double d65 = org.apache.commons.math.util.MathUtils.distance(d_array62, d_array64);
    double d66 = org.apache.commons.math.util.MathUtils.distance(d_array59, d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array59);
    boolean b68 = org.apache.commons.math.util.MathUtils.equals(d_array55, d_array59);
    double d69 = org.apache.commons.math.util.MathUtils.distance1(d_array38, d_array55);
    double d70 = org.apache.commons.math.util.MathUtils.distance(d_array31, d_array38);
    double[] d_array71 = new double[] {  };
    double[] d_array72 = new double[] {  };
    int i73 = org.apache.commons.math.util.MathUtils.hash(d_array72);
    double d74 = org.apache.commons.math.util.MathUtils.distanceInf(d_array71, d_array72);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection75 = null;
    double[] d_array76 = new double[] {  };
    double[] d_array77 = new double[] {  };
    int i78 = org.apache.commons.math.util.MathUtils.hash(d_array77);
    double d79 = org.apache.commons.math.util.MathUtils.distanceInf(d_array76, d_array77);
    double[][] d_array_array80 = new double[][] { d_array77 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array72, orderDirection75, d_array_array80);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array31, d_array_array80);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, d_array_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array80);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test337"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-45709.42362222115d));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test338"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(87178291200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 87178291200L);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.7853667318664158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9032883337374307d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.0438183205403413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01821806648606651d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test341"); }


    java.lang.Number number1 = null;
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array7);
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double[] d_array12 = new double[] {  };
    double d13 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array12);
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array17, 1);
    double d20 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array19);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection21 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection21, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException25 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)0, (java.lang.Number)(-10), 20, orderDirection21, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException27 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1.7518399959282467d), number1, 100, orderDirection21, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array34);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException36 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats29, localizable30, obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array34);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_ITERATIONS_LIMITS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    double[] d_array45 = new double[] {  };
    double[] d_array46 = new double[] {  };
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double d48 = org.apache.commons.math.util.MathUtils.distanceInf(d_array45, d_array46);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection49 = null;
    double[] d_array50 = new double[] {  };
    double[] d_array51 = new double[] {  };
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array51);
    double d53 = org.apache.commons.math.util.MathUtils.distanceInf(d_array50, d_array51);
    double[][] d_array_array54 = new double[][] { d_array51 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array46, orderDirection49, d_array_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats44, (java.lang.Object[])d_array_array54);
    org.apache.commons.math.exception.NoBracketingException noBracketingException57 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, 1.0000690493294664d, 0.0d, 0.17453292519943295d, 0.26903599074888146d, (java.lang.Object[])d_array_array54);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonousSequenceException27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, (java.lang.Object[])d_array_array54);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext59 = nonMonotonousSequenceException27.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext60 = nonMonotonousSequenceException27.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext60);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(99.30685281944004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 99.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test343"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { (-1) };
    int[] i_array6 = new int[] { 0, 10, 1 };
    double d7 = org.apache.commons.math.util.MathUtils.distance(i_array2, i_array6);
    int[] i_array9 = new int[] { (-1) };
    int[] i_array13 = new int[] { 0, 10, 1 };
    double d14 = org.apache.commons.math.util.MathUtils.distance(i_array9, i_array13);
    int i15 = org.apache.commons.math.util.MathUtils.distance1(i_array2, i_array9);
    int[] i_array17 = new int[] { (-1) };
    int[] i_array21 = new int[] { 0, 10, 1 };
    double d22 = org.apache.commons.math.util.MathUtils.distance(i_array17, i_array21);
    int[] i_array24 = new int[] { (-1) };
    int[] i_array28 = new int[] { 0, 10, 1 };
    double d29 = org.apache.commons.math.util.MathUtils.distance(i_array24, i_array28);
    int i30 = org.apache.commons.math.util.MathUtils.distance1(i_array17, i_array24);
    int i31 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array17);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array32);
    // The following exception was thrown during execution in test generation
    try {
      int i34 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test344"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.387751072804939E11d, 0.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test345"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0048828125f, 0.0048828125f, 0.004882813f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test346"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection24 = null;
    double[] d_array25 = new double[] {  };
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distanceInf(d_array25, d_array26);
    double[][] d_array_array29 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array21, orderDirection24, d_array_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distance(d_array6, d_array21);
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double[] d_array34 = new double[] {  };
    double d35 = org.apache.commons.math.util.MathUtils.distance(d_array32, d_array34);
    double[] d_array36 = new double[] {  };
    double[] d_array37 = new double[] {  };
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array36, d_array37);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array37, d_array42);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array37);
    double d46 = org.apache.commons.math.util.MathUtils.distance1(d_array21, d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test347"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[] d_array6 = new double[] {  };
    double d7 = org.apache.commons.math.util.MathUtils.distance(d_array4, d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array6);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    boolean b19 = org.apache.commons.math.util.MathUtils.equals(d_array6, d_array10);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array26);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array29, d_array30);
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array35 = new double[] {  };
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array35);
    double d37 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    boolean b39 = org.apache.commons.math.util.MathUtils.equals(d_array26, d_array30);
    double d40 = org.apache.commons.math.util.MathUtils.distance1(d_array10, d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test348"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.799059569291893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2234489452979638d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test349"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.99999994f, (-0.9999998f), 1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test350"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, (-419566920));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test351"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.3853574264832714d, 5.248738384855004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3853574264832714d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.5750304116786193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test353"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0E-6d, number1, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException3.getSuppressed();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_LARGE_CUTOFF_SINGULAR_VALUE;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats9, localizable10, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test354"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.50000006f, 6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.50000006f);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test355"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.407122076842137d, 3.3169359180698614E-13d, 1.6751652587694954d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test356"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1023));
    incrementor0.incrementCount((-2));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(2146959360);
    int i10 = incrementor0.getCount();
    incrementor0.setMaximalCount((-1100));
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test357"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    double[] d_array4 = org.apache.commons.math.util.MathUtils.copyOf(d_array0);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test358"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(3.0402365251922707d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = regulaFalsiSolver1.solve(22, univariateRealFunction3, 1.4962024467619349E10d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test359"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger8);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger8);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger19);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger19);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 340593891);
    java.math.BigInteger bigInteger24 = null;
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger26);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 0L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger26);
    java.math.BigInteger bigInteger31 = null;
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 0L);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, bigInteger36);
    java.math.BigInteger bigInteger38 = null;
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 0L);
    java.math.BigInteger bigInteger41 = null;
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 0L);
    java.math.BigInteger bigInteger44 = null;
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 0L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, bigInteger46);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, bigInteger46);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, bigInteger46);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger49);
    org.apache.commons.math.exception.NotPositiveException notPositiveException51 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger49);
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger49, 1819456678);
    java.math.BigInteger bigInteger54 = null;
    java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger54, 0L);
    java.math.BigInteger bigInteger57 = null;
    java.math.BigInteger bigInteger59 = org.apache.commons.math.util.MathUtils.pow(bigInteger57, 0L);
    java.math.BigInteger bigInteger60 = null;
    java.math.BigInteger bigInteger62 = org.apache.commons.math.util.MathUtils.pow(bigInteger60, 0L);
    java.math.BigInteger bigInteger63 = org.apache.commons.math.util.MathUtils.pow(bigInteger59, bigInteger62);
    java.math.BigInteger bigInteger64 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, bigInteger62);
    java.math.BigInteger bigInteger66 = org.apache.commons.math.util.MathUtils.pow(bigInteger64, 0);
    java.math.BigInteger bigInteger68 = org.apache.commons.math.util.MathUtils.pow(bigInteger66, 0L);
    java.math.BigInteger bigInteger69 = null;
    java.math.BigInteger bigInteger71 = org.apache.commons.math.util.MathUtils.pow(bigInteger69, 0L);
    java.math.BigInteger bigInteger72 = null;
    java.math.BigInteger bigInteger74 = org.apache.commons.math.util.MathUtils.pow(bigInteger72, 0L);
    java.math.BigInteger bigInteger75 = org.apache.commons.math.util.MathUtils.pow(bigInteger71, bigInteger74);
    java.math.BigInteger bigInteger76 = null;
    java.math.BigInteger bigInteger78 = org.apache.commons.math.util.MathUtils.pow(bigInteger76, 0L);
    java.math.BigInteger bigInteger79 = null;
    java.math.BigInteger bigInteger81 = org.apache.commons.math.util.MathUtils.pow(bigInteger79, 0L);
    java.math.BigInteger bigInteger82 = null;
    java.math.BigInteger bigInteger84 = org.apache.commons.math.util.MathUtils.pow(bigInteger82, 0L);
    java.math.BigInteger bigInteger85 = org.apache.commons.math.util.MathUtils.pow(bigInteger81, bigInteger84);
    java.math.BigInteger bigInteger86 = org.apache.commons.math.util.MathUtils.pow(bigInteger78, bigInteger84);
    java.math.BigInteger bigInteger87 = org.apache.commons.math.util.MathUtils.pow(bigInteger75, bigInteger84);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException88 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)bigInteger87);
    java.math.BigInteger bigInteger89 = org.apache.commons.math.util.MathUtils.pow(bigInteger66, bigInteger87);
    java.math.BigInteger bigInteger90 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, bigInteger87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger90);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.23879450315858d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test361"); }


    int i1 = org.apache.commons.math.util.FastMath.round(6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test362"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.34906585039888d, (java.lang.Number)0.028210226066325235d, 1819456678);
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test363"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger8);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger8);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 0);
    java.math.BigInteger bigInteger16 = null;
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, bigInteger24);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger24);
    double[] d_array31 = new double[] {  };
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array31, d_array32);
    double[] d_array35 = new double[] {  };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array37 = new double[] {  };
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distance(d_array32, d_array37);
    double[] d_array42 = new double[] { 1.0d, (-1.0d) };
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array42, 1);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array44);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection46 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array44, orderDirection46, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException50 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)0, (java.lang.Number)(-10), 20, orderDirection46, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException52 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, (java.lang.Number)bigInteger18, 1, orderDirection46, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException54 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)bigInteger10, (java.lang.Number)0.67329110326802d, 110, orderDirection46, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test364"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-128.0f), 0.3853574264832714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-127.99999f));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test365"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(800.0f, (-36.7368005696771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 799.99994f);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test366"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(20, 110);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test367"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[] d_array17 = new double[] {  };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array14, d_array_array19);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array19);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array22, d_array23);
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, d_array_array28);
    double[] d_array30 = new double[] {  };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double[] d_array32 = new double[] {  };
    double d33 = org.apache.commons.math.util.MathUtils.distance(d_array30, d_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array32);
    double[] d_array35 = new double[] {  };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array37 = new double[] {  };
    double d38 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array23, d_array35);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection44 = null;
    double[] d_array45 = new double[] {  };
    double[] d_array46 = new double[] {  };
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double d48 = org.apache.commons.math.util.MathUtils.distanceInf(d_array45, d_array46);
    double[][] d_array_array49 = new double[][] { d_array45 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array40, orderDirection44, d_array_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array35, d_array40);
    double[] d_array54 = new double[] { 1.0d, (-1.0d) };
    double[] d_array56 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array54);
    double[] d_array58 = null;
    double d59 = org.apache.commons.math.util.MathUtils.distance1(d_array40, d_array58);
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array40);
    double[] d_array64 = new double[] {  };
    double[] d_array65 = new double[] {  };
    int i66 = org.apache.commons.math.util.MathUtils.hash(d_array65);
    double d67 = org.apache.commons.math.util.MathUtils.distanceInf(d_array64, d_array65);
    double[] d_array68 = new double[] {  };
    int i69 = org.apache.commons.math.util.MathUtils.hash(d_array68);
    double[] d_array70 = new double[] {  };
    double d71 = org.apache.commons.math.util.MathUtils.distance(d_array68, d_array70);
    double d72 = org.apache.commons.math.util.MathUtils.distance(d_array65, d_array70);
    double[] d_array75 = new double[] { 1.0d, (-1.0d) };
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array75, 1);
    double d78 = org.apache.commons.math.util.MathUtils.distanceInf(d_array70, d_array77);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection79 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array77, orderDirection79, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException83 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.7434638294890411d, (java.lang.Number)0.3561979324000266d, (-1), orderDirection79, true);
    java.lang.Number number84 = nonMonotonousSequenceException83.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection85 = nonMonotonousSequenceException83.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      boolean b88 = org.apache.commons.math.util.MathUtils.checkOrder(d_array40, orderDirection85, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number84 + "' != '" + 0.3561979324000266d+ "'", number84.equals(0.3561979324000266d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test368"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test369"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test370"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.9595692531846074d, 2.0000000000000004d, (-21));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.0021540669122795558d, 1.5707963267948966d, (-0.04123568683334848d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test372"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.1707758706334404d, 0.9999930253396107d, 34.82173434942759d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test373"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(10.1f, 0.0f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test374"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.9957748662158934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test375"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(20.479999999999997d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 20.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test376"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(Double.NEGATIVE_INFINITY, 2.7958731873695153d, 0.029752486829147613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test377"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_COLUMN_INDEX_ARRAY;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)9L, (java.lang.Number)(-11), false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    java.lang.Throwable[] throwable_array12 = mathArithmeticException11.getSuppressed();
    java.lang.Throwable[] throwable_array13 = mathArithmeticException11.getSuppressed();
    org.apache.commons.math.exception.ConvergenceException convergenceException14 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test378"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.5322433897763527d, 27.182818284588883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test379"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SINGULAR_MATRIX;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathIllegalStateException5.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 2.0097183471152322E-14d, 0.0d, 3.141592653589793d, 0.17453292519943295d, obj_array19);
    double d24 = noBracketingException23.getLo();
    double d25 = noBracketingException23.getFHi();
    double d26 = noBracketingException23.getFHi();
    double d27 = noBracketingException23.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.0097183471152322E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test380"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1455565370);
    int i5 = incrementor0.getMaximalCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1455565370);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-71535587), 181995442);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test382"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-3.117635819503583d), 0.0d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.22735128361236823d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2313511602193891d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test384"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0281444683249379d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver10 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3320824283505335d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver16 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d17 = regulaFalsiSolver16.getAbsoluteAccuracy();
    int i18 = regulaFalsiSolver16.getMaxEvaluations();
    double d19 = regulaFalsiSolver16.getMin();
    double d20 = regulaFalsiSolver16.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution24 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction15, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver16, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution24);
    double d26 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction8, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver10, 1.5750304369810868d, 2.108399511783361d, 0.34906585039888d, allowedSolution24);
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1125300, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver3, 0.5710835792402666d, 8.243065717517233d, 4.047903025579047d, allowedSolution24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.5750304369810868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.5710835792402666d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test385"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(2.082703611683125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9458613542326715d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 54.193863602060595d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test387"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-3.4028235E38f));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(20.479999999999997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test389"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.6163268927103782d, 0.33287012315706754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6163268927103782d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test390"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver2 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(285250919, univariateRealFunction1, bracketedUnivariateRealSolver2, 3.469446951953614E-18d, (-0.018251877313126323d), 0.0071575758688120494d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test391"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(short)(-1));
    java.math.BigInteger bigInteger4 = null;
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = null;
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, bigInteger12);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger12);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 340593891);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)3486784401L, (java.lang.Number)bigInteger16, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test392"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.1250693835428636d, obj_array2);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test393"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { localizedFormats4 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array5);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array5);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array5);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEFINITE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException18 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array14);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = convergenceException18.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)convergenceException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test394"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.LOESS_EXPECTS_AT_LEAST_ONE_POINT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 100.0d, (-0.5872139151569291d), 0.17453292519943295d);
    double d7 = noBracketingException6.getFHi();
    double d8 = noBracketingException6.getHi();
    java.lang.Throwable[] throwable_array9 = noBracketingException6.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test395"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(Float.POSITIVE_INFINITY, 1843545415, 11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.04323229440977d));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test397"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.INSTANCES_NOT_COMPARABLE_TO_EXISTING_VALUES;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math.exception.NotPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, number2);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger14);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger14);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array22);
    double[] d_array25 = new double[] {  };
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    double[] d_array27 = new double[] {  };
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array25, d_array27);
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array27);
    double[] d_array32 = new double[] { 1.0d, (-1.0d) };
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array32, 1);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array34);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection36 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection36, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException40 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(byte)0, (java.lang.Number)(-10), 20, orderDirection36, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException42 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, (java.lang.Number)bigInteger8, 1, orderDirection36, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_STANDARD_DEVIATION;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException45 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, (java.lang.Number)(-0.99999994f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    java.lang.Number number48 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext50 = mathIllegalStateException49.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException56 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array55);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException57 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    exceptionContext50.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array55);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, number48, obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array55);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException61 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2L, obj_array55);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)87178291200L, obj_array55);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException63 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test398"); }


    java.lang.Number number0 = null;
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array7);
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double[] d_array12 = new double[] {  };
    double d13 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distance(d_array7, d_array12);
    double[] d_array17 = new double[] { 1.0d, (-1.0d) };
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array17, 1);
    double d20 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array19);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection21 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection21, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException25 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.0027571986608224152d, (java.lang.Number)(-0.4333079051049607d), (-9892741), orderDirection21, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException27 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number0, (java.lang.Number)(-94L), 2001452120, orderDirection21, false);
    int i28 = nonMonotonousSequenceException27.getIndex();
    java.lang.Number number29 = nonMonotonousSequenceException27.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2001452120);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (-94L)+ "'", number29.equals((-94L)));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test399"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.7277036909014185d, (java.lang.Number)0.50000006f, (-2104541596));
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    java.lang.String str5 = nonMonotonousSequenceException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.50000006f+ "'", number4.equals(0.50000006f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -2,104,541,597 and -2,104,541,596 are not strictly increasing (0.5 >= 0.728)"+ "'", str5.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -2,104,541,597 and -2,104,541,596 are not strictly increasing (0.5 >= 0.728)"));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test400"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.5f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5f);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test401"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.536745E-7f, (-1100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test402"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.0039796403241759d, (-2.1001838098497265E43d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0039796403241759d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test403"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 67.3340684745264d, 0.6657737500283537d, 7.610125138662288d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test404"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3320824283505335d);
    double d2 = regulaFalsiSolver1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(5.78914528479798E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test406"); }


    int[] i_array1 = new int[] { (-1) };
    int[] i_array5 = new int[] { 0, 10, 1 };
    double d6 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array5);
    int[] i_array8 = new int[] { (-1) };
    int[] i_array12 = new int[] { 0, 10, 1 };
    double d13 = org.apache.commons.math.util.MathUtils.distance(i_array8, i_array12);
    int i14 = org.apache.commons.math.util.MathUtils.distance1(i_array1, i_array8);
    int[] i_array16 = new int[] { (-1) };
    int[] i_array20 = new int[] { 0, 10, 1 };
    double d21 = org.apache.commons.math.util.MathUtils.distance(i_array16, i_array20);
    int[] i_array23 = new int[] { (-1) };
    int[] i_array27 = new int[] { 0, 10, 1 };
    double d28 = org.apache.commons.math.util.MathUtils.distance(i_array23, i_array27);
    int i29 = org.apache.commons.math.util.MathUtils.distance1(i_array16, i_array23);
    int i30 = org.apache.commons.math.util.MathUtils.distanceInf(i_array1, i_array16);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array33 = new int[] { (-1) };
    int[] i_array37 = new int[] { 0, 10, 1 };
    double d38 = org.apache.commons.math.util.MathUtils.distance(i_array33, i_array37);
    double d39 = org.apache.commons.math.util.MathUtils.distance(i_array31, i_array37);
    int[] i_array40 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array43 = new int[] { (-1) };
    int[] i_array47 = new int[] { 0, 10, 1 };
    double d48 = org.apache.commons.math.util.MathUtils.distance(i_array43, i_array47);
    int[] i_array50 = new int[] { (-1) };
    int[] i_array54 = new int[] { 0, 10, 1 };
    double d55 = org.apache.commons.math.util.MathUtils.distance(i_array50, i_array54);
    int i56 = org.apache.commons.math.util.MathUtils.distance1(i_array43, i_array50);
    int[] i_array58 = new int[] { (-1) };
    int[] i_array62 = new int[] { 0, 10, 1 };
    double d63 = org.apache.commons.math.util.MathUtils.distance(i_array58, i_array62);
    int[] i_array65 = new int[] { (-1) };
    int[] i_array69 = new int[] { 0, 10, 1 };
    double d70 = org.apache.commons.math.util.MathUtils.distance(i_array65, i_array69);
    int i71 = org.apache.commons.math.util.MathUtils.distance1(i_array58, i_array65);
    int i72 = org.apache.commons.math.util.MathUtils.distanceInf(i_array43, i_array58);
    int[] i_array76 = new int[] { 10, 1, 0 };
    int i77 = org.apache.commons.math.util.MathUtils.distance1(i_array58, i_array76);
    int[] i_array78 = org.apache.commons.math.util.MathUtils.copyOf(i_array76);
    int i79 = org.apache.commons.math.util.MathUtils.distance1(i_array41, i_array76);
    int[] i_array80 = org.apache.commons.math.util.MathUtils.copyOf(i_array76);
    int[] i_array81 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i82 = org.apache.commons.math.util.MathUtils.distance1(i_array80, i_array81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test407"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-5047021154770878364L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5047021154770878354L));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test408"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 1.4E-45f, 350031075);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test409"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-0.002117036116329486d), 0.0d, 3.5810616770548525E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.5815258540844123d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test411"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.033167866575592106d, 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.033167866590666936d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test412"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.6483301750225565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test413"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 100.0d, (-0.5872139151569291d), 0.17453292519943295d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)Float.NaN, (java.lang.Number)3628800L, true);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    java.lang.Throwable[] throwable_array12 = noBracketingException4.getSuppressed();
    double d13 = noBracketingException4.getHi();
    double d14 = noBracketingException4.getHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.0d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test414"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(Float.NEGATIVE_INFINITY, (-1875132290));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test415"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException6 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9207731516572653d, (java.lang.Number)2.051707796114911d, 1455565370);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException6.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.01673421024034344d, (java.lang.Number)3.0d, 2147483647, orderDirection7, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test416"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.9207731516572653d);
    int i2 = regulaFalsiSolver1.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test417"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(20L, 94L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test418"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 0.0d);
    int i3 = regulaFalsiSolver2.getEvaluations();
    double d4 = regulaFalsiSolver2.getAbsoluteAccuracy();
    double d5 = regulaFalsiSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver2.solve(100, univariateRealFunction7, 0.44087121790935846d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test419"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array0, 13.455235819386047d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-3.071445495803223d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07026244062069721d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test421"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SINGULAR_MATRIX;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathIllegalStateException5.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 2.0097183471152322E-14d, 0.0d, 3.141592653589793d, 0.17453292519943295d, obj_array19);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException23.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException35 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, (java.lang.Number)0.0d, (java.lang.Number)9223372036854775807L, true);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 9223372036854775807L };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)100L, obj_array36);
    org.apache.commons.math.exception.NoBracketingException noBracketingException38 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, 0.714819784115254d, 6.387751072804939E11d, 0.7853981633974483d, 1.7518399959282467d, obj_array36);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException42 = new org.apache.commons.math.exception.NumberIsTooLargeException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, (java.lang.Number)11013.232920103323d, (java.lang.Number)21772800L, false);
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException46 = new org.apache.commons.math.exception.NumberIsTooSmallException(number43, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.HOLE_BETWEEN_MODELS_TIME_RANGES;
    double[] d_array48 = new double[] {  };
    double[] d_array49 = new double[] {  };
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array49);
    double d51 = org.apache.commons.math.util.MathUtils.distanceInf(d_array48, d_array49);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection52 = null;
    double[] d_array53 = new double[] {  };
    double[] d_array54 = new double[] {  };
    int i55 = org.apache.commons.math.util.MathUtils.hash(d_array54);
    double d56 = org.apache.commons.math.util.MathUtils.distanceInf(d_array53, d_array54);
    double[][] d_array_array57 = new double[][] { d_array54 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array49, orderDirection52, d_array_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException46, (org.apache.commons.math.exception.util.Localizable)localizedFormats47, (java.lang.Object[])d_array_array57);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext60 = mathIllegalStateException59.getContext();
    java.lang.Throwable[] throwable_array61 = mathIllegalStateException59.getSuppressed();
    exceptionContext24.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats25, (java.lang.Object[])throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test422"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.7580653725607684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test423"); }


    float[] f_array0 = new float[] {  };
    float[] f_array4 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b5 = org.apache.commons.math.util.MathUtils.equals(f_array0, f_array4);
    float[] f_array7 = new float[] { 100.0f };
    float[] f_array9 = new float[] { 1.0f };
    boolean b10 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array7, f_array9);
    boolean b11 = org.apache.commons.math.util.MathUtils.equals(f_array4, f_array7);
    float[] f_array13 = new float[] { 100.0f };
    float[] f_array15 = new float[] { 1.0f };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array15);
    float[] f_array17 = new float[] {  };
    float[] f_array21 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array17, f_array21);
    float[] f_array23 = new float[] {  };
    float[] f_array27 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b28 = org.apache.commons.math.util.MathUtils.equals(f_array23, f_array27);
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array21, f_array23);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(f_array13, f_array23);
    float[] f_array31 = new float[] {  };
    float[] f_array35 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b36 = org.apache.commons.math.util.MathUtils.equals(f_array31, f_array35);
    boolean b37 = org.apache.commons.math.util.MathUtils.equals(f_array13, f_array35);
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array35);
    float[] f_array39 = new float[] {  };
    float[] f_array43 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b44 = org.apache.commons.math.util.MathUtils.equals(f_array39, f_array43);
    float[] f_array46 = new float[] { 100.0f };
    float[] f_array48 = new float[] { 1.0f };
    boolean b49 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array46, f_array48);
    boolean b50 = org.apache.commons.math.util.MathUtils.equals(f_array43, f_array48);
    float[] f_array51 = new float[] {  };
    float[] f_array55 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b56 = org.apache.commons.math.util.MathUtils.equals(f_array51, f_array55);
    float[] f_array58 = new float[] { 100.0f };
    float[] f_array60 = new float[] { 1.0f };
    boolean b61 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array58, f_array60);
    boolean b62 = org.apache.commons.math.util.MathUtils.equals(f_array55, f_array58);
    boolean b63 = org.apache.commons.math.util.MathUtils.equals(f_array43, f_array55);
    float[] f_array65 = new float[] { 100.0f };
    float[] f_array67 = new float[] { 1.0f };
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array65, f_array67);
    float[] f_array69 = new float[] {  };
    float[] f_array73 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b74 = org.apache.commons.math.util.MathUtils.equals(f_array69, f_array73);
    float[] f_array75 = new float[] {  };
    float[] f_array79 = new float[] { 0.0f, (-1.0f), 10.0f };
    boolean b80 = org.apache.commons.math.util.MathUtils.equals(f_array75, f_array79);
    boolean b81 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array73, f_array75);
    boolean b82 = org.apache.commons.math.util.MathUtils.equals(f_array65, f_array75);
    boolean b83 = org.apache.commons.math.util.MathUtils.equals(f_array55, f_array75);
    boolean b84 = org.apache.commons.math.util.MathUtils.equals(f_array35, f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test424"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.02654682534623063d, 7.147736784817192E24d, 6.922224727936082E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test425"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    double[] d_array2 = new double[] {  };
    double d3 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array2);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = null;
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double d8 = org.apache.commons.math.util.MathUtils.distanceInf(d_array5, d_array6);
    double[][] d_array_array9 = new double[][] { d_array5 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array0, orderDirection4, d_array_array9);
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    int i13 = org.apache.commons.math.util.MathUtils.hash(d_array12);
    double d14 = org.apache.commons.math.util.MathUtils.distanceInf(d_array11, d_array12);
    double[] d_array15 = new double[] {  };
    int i16 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    double[] d_array17 = new double[] {  };
    double d18 = org.apache.commons.math.util.MathUtils.distance(d_array15, d_array17);
    double d19 = org.apache.commons.math.util.MathUtils.distance(d_array12, d_array17);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array21);
    double[] d_array24 = new double[] {  };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array26 = new double[] {  };
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array24, d_array26);
    double d28 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    boolean b30 = org.apache.commons.math.util.MathUtils.equals(d_array17, d_array21);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array0, d_array17);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = new double[] {  };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double d35 = org.apache.commons.math.util.MathUtils.distanceInf(d_array32, d_array33);
    double[] d_array36 = new double[] {  };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array33, d_array_array38);
    double[] d_array40 = new double[] {  };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array42 = new double[] {  };
    double d43 = org.apache.commons.math.util.MathUtils.distance(d_array40, d_array42);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array42);
    double[] d_array45 = new double[] {  };
    int i46 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    double[] d_array47 = new double[] {  };
    double d48 = org.apache.commons.math.util.MathUtils.distance(d_array45, d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array33, d_array45);
    double d50 = org.apache.commons.math.util.MathUtils.safeNorm(d_array45);
    double d51 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array45);
    double[] d_array52 = new double[] {  };
    int i53 = org.apache.commons.math.util.MathUtils.hash(d_array52);
    double[] d_array54 = new double[] {  };
    double d55 = org.apache.commons.math.util.MathUtils.distance(d_array52, d_array54);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection56 = null;
    double[] d_array57 = new double[] {  };
    double[] d_array58 = new double[] {  };
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array58);
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array57, d_array58);
    double[][] d_array_array61 = new double[][] { d_array57 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array52, orderDirection56, d_array_array61);
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array45, d_array_array61);
    int i64 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    int i65 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test426"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.7368763271283053d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test427"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test428"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distanceInf(d_array1, d_array13);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array19);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array19, d_array_array24);
    double[] d_array26 = new double[] {  };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[] d_array28 = new double[] {  };
    double d29 = org.apache.commons.math.util.MathUtils.distance(d_array26, d_array28);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection30 = null;
    double[] d_array31 = new double[] {  };
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double d34 = org.apache.commons.math.util.MathUtils.distanceInf(d_array31, d_array32);
    double[][] d_array_array35 = new double[][] { d_array31 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array26, orderDirection30, d_array_array35);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double d40 = org.apache.commons.math.util.MathUtils.distanceInf(d_array37, d_array38);
    double[] d_array41 = new double[] {  };
    int i42 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    double[] d_array43 = new double[] {  };
    double d44 = org.apache.commons.math.util.MathUtils.distance(d_array41, d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distance(d_array38, d_array43);
    double[] d_array46 = new double[] {  };
    double[] d_array47 = new double[] {  };
    int i48 = org.apache.commons.math.util.MathUtils.hash(d_array47);
    double d49 = org.apache.commons.math.util.MathUtils.distanceInf(d_array46, d_array47);
    double[] d_array50 = new double[] {  };
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array50);
    double[] d_array52 = new double[] {  };
    double d53 = org.apache.commons.math.util.MathUtils.distance(d_array50, d_array52);
    double d54 = org.apache.commons.math.util.MathUtils.distance(d_array47, d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    boolean b56 = org.apache.commons.math.util.MathUtils.equals(d_array43, d_array47);
    double d57 = org.apache.commons.math.util.MathUtils.distance1(d_array26, d_array43);
    double d58 = org.apache.commons.math.util.MathUtils.distance(d_array19, d_array26);
    double[] d_array60 = org.apache.commons.math.util.MathUtils.copyOf(d_array19, 0);
    boolean b61 = org.apache.commons.math.util.MathUtils.equals(d_array1, d_array19);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection62 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection62, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test429"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9977688350944416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test430"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.302585092994046d, 0.018973359867228756d, 0.7688897207335451d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test431"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)327333030);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test432"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(1819456678, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 121.35157136911666d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test433"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial(762716574);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test435"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, (-0.6420149920119997d), 0.8920913328974538d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test436"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 100.0d, (-0.5872139151569291d), 0.17453292519943295d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)Float.NaN, (java.lang.Number)3628800L, true);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    double d12 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.7936520871862218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test438"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array1);
    double[] d_array9 = new double[] {  };
    double[] d_array10 = new double[] {  };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array10);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array15 = new double[] {  };
    double d16 = org.apache.commons.math.util.MathUtils.distance(d_array13, d_array15);
    double d17 = org.apache.commons.math.util.MathUtils.distance(d_array10, d_array15);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    double d21 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array19);
    double[] d_array22 = new double[] {  };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array24 = new double[] {  };
    double d25 = org.apache.commons.math.util.MathUtils.distance(d_array22, d_array24);
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array19, d_array24);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    boolean b28 = org.apache.commons.math.util.MathUtils.equals(d_array15, d_array19);
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array19);
    double d30 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test439"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.7950861773267864d, 6.38775107280494E11d, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test440"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 1.3246090892520057d, 3.2520286760545978d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test441"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MINIMAL_STEPSIZE_REACHED_DURING_INTEGRATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { localizedFormats2 };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException4 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.6069274130264402d, obj_array3);
    org.apache.commons.math.exception.NotPositiveException notPositiveException10 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.4210854715202004E-14d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.CROSSING_BOUNDARY_LOOPS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, Double.NEGATIVE_INFINITY, 0.0d, Double.NEGATIVE_INFINITY, 10.0d, obj_array18);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    double[] d_array22 = new double[] {  };
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double d25 = org.apache.commons.math.util.MathUtils.distanceInf(d_array22, d_array23);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = null;
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array28);
    double[][] d_array_array31 = new double[][] { d_array28 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection26, d_array_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (java.lang.Object[])d_array_array31);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException34 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, (java.lang.Object[])d_array_array31);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { localizedFormats39 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable38, obj_array40);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array40);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array40);
    org.apache.commons.math.exception.ConvergenceException convergenceException44 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array40);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEFINITE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException50 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array49);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array49);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array49);
    org.apache.commons.math.exception.ConvergenceException convergenceException53 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array49);
    org.apache.commons.math.exception.NoBracketingException noBracketingException55 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 0.9925706787073629d, 0.029752486829147613d, 0.38535742648327137d, 29.112394123624487d, obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test442"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.45586695739348254d), 1.000000000000007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test443"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i2 = regulaFalsiSolver0.getMaxEvaluations();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)regulaFalsiSolver0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test444"); }


    org.apache.commons.math.util.MathUtils.checkFinite(816.7223087037349d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test445"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(28.47386680007416d, 0.0d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = regulaFalsiSolver2.solve((-3), univariateRealFunction4, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test446"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1556015370, 184331630);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 184331630);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test447"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 0, 0);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.BANDWIDTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array7);
    java.lang.Throwable[] throwable_array9 = nullArgumentException8.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, 127, 1843545415);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)dimensionMismatchException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test448"); }


    double[] d_array0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException10 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1.0f), (java.lang.Number)0.0f, 1);
    boolean b11 = nonMonotonousSequenceException10.getStrict();
    int i12 = nonMonotonousSequenceException10.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection13 = nonMonotonousSequenceException10.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = nonMonotonousSequenceException10.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException16 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number4, (java.lang.Number)Double.POSITIVE_INFINITY, 1, orderDirection14, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException18 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.4210854715202004E-14d, number2, (-1831313947), orderDirection14, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection14, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test449"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.033167866590666936d, 0.33287012315706754d, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test450"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-327757733688L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 327757733688L);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test451"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-2.145234039775007d), 6.055327253487208E-20d, 2.2250738585072014E-308d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = regulaFalsiSolver3.solve(7, univariateRealFunction5, 27.182818284588883d, 0.6657737500283537d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test452"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, (-0.004234084883722643d), 1.5707963267942038d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.8815447595484084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015385858557821448d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test454"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.028246005841463518d, (-45709.42362222115d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-22854.69768810765d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test455"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-7.511169801679522d));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test456"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(98.4502967847254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.2827247924587715d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.6717375187293801d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6717375187293803d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test458"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.3552527E-20f);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test459"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-1.6447138569073052d), 4.725279056107247E12d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test460"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test461"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1, 20L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test462"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(Float.NaN, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test463"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException1 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = mathIllegalStateException1.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    exceptionContext2.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array7);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array15);
    exceptionContext2.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array15);
    java.lang.Object[] obj_array20 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array15);
    java.lang.Object[] obj_array21 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test464"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1.0f), (java.lang.Number)0.0f, 1);
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    int i5 = nonMonotonousSequenceException3.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException3.getDirection();
    java.lang.String str8 = nonMonotonousSequenceException3.toString();
    int i9 = nonMonotonousSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points 0 and 1 are not strictly increasing (0 >= -1)"+ "'", str8.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points 0 and 1 are not strictly increasing (0 >= -1)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test465"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.6657737500283537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test466"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test467"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.8265759203877002d, 1.0559515664122574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.22937564602455718d));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test469"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.0d, (-1.04323229440977d), 42.335616460753485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.43690761004708634d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.3853574264832714d, 1889706304, 1000000046);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test471"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1729123700997562E41d, 2.121412173499701E28d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test472"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.1032080659042083d, 0.0d, 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test473"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EULER_ANGLES_SINGULARITY;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException3 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array2);
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { localizedFormats8 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5f, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(number5, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)(-0.5414175534226262d), obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test474"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.25235389075560266d, 0.0d, 0.655481326254852d, 2001452120);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test475"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(6.2831853071795924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test476"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.6647651401974226d, 1.1914008171112719E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-73.73782165937311d));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test477"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1023));
    incrementor0.incrementCount((-2));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(2146959360);
    int i10 = incrementor0.getCount();
    incrementor0.setMaximalCount((-1100));
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    int i16 = incrementor0.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test478"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(1091970560, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test479"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SINGULAR_MATRIX;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathIllegalStateException5.getContext();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_ORTHOGONOLIZE_MATRIX;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    exceptionContext6.addMessage((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 2.0097183471152322E-14d, 0.0d, 3.141592653589793d, 0.17453292519943295d, obj_array19);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext24 = noBracketingException23.getContext();
    java.lang.Throwable[] throwable_array25 = noBracketingException23.getSuppressed();
    double d26 = noBracketingException23.getFHi();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext27 = noBracketingException23.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test480"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(9.536745E-7f, 1.1368684E-13f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test481"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    int i2 = org.apache.commons.math.util.MathUtils.hash(d_array1);
    double d3 = org.apache.commons.math.util.MathUtils.distanceInf(d_array0, d_array1);
    double[] d_array4 = new double[] {  };
    int i5 = org.apache.commons.math.util.MathUtils.hash(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array1, d_array_array6);
    double[] d_array8 = new double[] {  };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array10 = new double[] {  };
    double d11 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array10);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = null;
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array14);
    double[][] d_array_array17 = new double[][] { d_array13 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection12, d_array_array17);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array19, d_array20);
    double[] d_array23 = new double[] {  };
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array23);
    double[] d_array25 = new double[] {  };
    double d26 = org.apache.commons.math.util.MathUtils.distance(d_array23, d_array25);
    double d27 = org.apache.commons.math.util.MathUtils.distance(d_array20, d_array25);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    int i30 = org.apache.commons.math.util.MathUtils.hash(d_array29);
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array29);
    double[] d_array32 = new double[] {  };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double[] d_array34 = new double[] {  };
    double d35 = org.apache.commons.math.util.MathUtils.distance(d_array32, d_array34);
    double d36 = org.apache.commons.math.util.MathUtils.distance(d_array29, d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    boolean b38 = org.apache.commons.math.util.MathUtils.equals(d_array25, d_array29);
    double d39 = org.apache.commons.math.util.MathUtils.distance1(d_array8, d_array25);
    double d40 = org.apache.commons.math.util.MathUtils.distance(d_array1, d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    double[] d_array42 = new double[] {  };
    double[] d_array43 = new double[] {  };
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array42, d_array43);
    double[] d_array46 = new double[] {  };
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double[] d_array48 = new double[] {  };
    double d49 = org.apache.commons.math.util.MathUtils.distance(d_array46, d_array48);
    double d50 = org.apache.commons.math.util.MathUtils.distance(d_array43, d_array48);
    double[] d_array51 = new double[] {  };
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array51);
    double[] d_array53 = new double[] {  };
    double d54 = org.apache.commons.math.util.MathUtils.distance(d_array51, d_array53);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection55 = null;
    double[] d_array56 = new double[] {  };
    double[] d_array57 = new double[] {  };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double d59 = org.apache.commons.math.util.MathUtils.distanceInf(d_array56, d_array57);
    double[][] d_array_array60 = new double[][] { d_array56 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array51, orderDirection55, d_array_array60);
    double[] d_array62 = new double[] {  };
    double[] d_array63 = new double[] {  };
    int i64 = org.apache.commons.math.util.MathUtils.hash(d_array63);
    double d65 = org.apache.commons.math.util.MathUtils.distanceInf(d_array62, d_array63);
    double[] d_array66 = new double[] {  };
    int i67 = org.apache.commons.math.util.MathUtils.hash(d_array66);
    double[] d_array68 = new double[] {  };
    double d69 = org.apache.commons.math.util.MathUtils.distance(d_array66, d_array68);
    double d70 = org.apache.commons.math.util.MathUtils.distance(d_array63, d_array68);
    double[] d_array71 = new double[] {  };
    double[] d_array72 = new double[] {  };
    int i73 = org.apache.commons.math.util.MathUtils.hash(d_array72);
    double d74 = org.apache.commons.math.util.MathUtils.distanceInf(d_array71, d_array72);
    double[] d_array75 = new double[] {  };
    int i76 = org.apache.commons.math.util.MathUtils.hash(d_array75);
    double[] d_array77 = new double[] {  };
    double d78 = org.apache.commons.math.util.MathUtils.distance(d_array75, d_array77);
    double d79 = org.apache.commons.math.util.MathUtils.distance(d_array72, d_array77);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array72);
    boolean b81 = org.apache.commons.math.util.MathUtils.equals(d_array68, d_array72);
    double d82 = org.apache.commons.math.util.MathUtils.distance1(d_array51, d_array68);
    boolean b83 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array68);
    double d84 = org.apache.commons.math.util.MathUtils.distanceInf(d_array8, d_array68);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    int i86 = org.apache.commons.math.util.MathUtils.hash(d_array68);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array88 = org.apache.commons.math.util.MathUtils.copyOf(d_array68, (-10));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 1);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test482"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(2.796066240538381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 160.20279482186007d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test483"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test484"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException6 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, (java.lang.Number)100, (-9892741));
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = nonMonotonousSequenceException6.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.9010759505910197d, (java.lang.Number)0.999930952259767d, 1819456667, orderDirection7, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test485"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-94L), 24164L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test486"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 1.9377047211159066E-18d, 2.0d);
    double d4 = regulaFalsiSolver3.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver11 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d12 = regulaFalsiSolver11.getAbsoluteAccuracy();
    int i13 = regulaFalsiSolver11.getMaxEvaluations();
    double d14 = regulaFalsiSolver11.getMin();
    double d15 = regulaFalsiSolver11.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution19 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d20 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver11, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution19);
    // The following exception was thrown during execution in test generation
    try {
      double d21 = regulaFalsiSolver3.solve(128, univariateRealFunction6, 73.14774328975135d, (-0.43330790510496064d), allowedSolution19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.016734991275338482d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test487"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.2207031E-4f, (-3.4028235E38f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.2207031E-4f));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test488"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(3.58106166942207E-8d, 0.32346845222305004d, 0.0d, 1.25786156262756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.1583604755232487E-8d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test489"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.95884437026515d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test490"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.0f, 1889706463);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test491"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver2 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver10 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-0.506365641109771d), 1.9377047211159066E-18d);
    int i11 = regulaFalsiSolver10.getEvaluations();
    double d12 = regulaFalsiSolver10.getStartValue();
    double d13 = regulaFalsiSolver10.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver19 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d20 = regulaFalsiSolver19.getAbsoluteAccuracy();
    int i21 = regulaFalsiSolver19.getMaxEvaluations();
    double d22 = regulaFalsiSolver19.getMin();
    double d23 = regulaFalsiSolver19.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution27 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d28 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(6, univariateRealFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver19, 0.016734991275338482d, 3.915178508756388d, 0.4189126448168962d, allowedSolution27);
    double d29 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction7, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver10, 1.2234489452979638d, 1.3826566137631742d, 1.8400405224520175d, allowedSolution27);
    double d30 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-2000000000), univariateRealFunction1, bracketedUnivariateRealSolver2, 0.9825163375290217d, (-0.12129723454244633d), 4.725279056107247E12d, allowedSolution27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.016734991275338482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.2234489452979638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.9825163375290217d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test492"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.082703611683125d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.1157225409453817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test494"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.1977461928657023d, 1.9377047211159066E-18d, 0.9194614484588723d, (-17.712712402600175d));
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.9377047211159066E-18d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test495"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.4210854715202004E-14d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = regulaFalsiSolver1.solve(1000000046, univariateRealFunction4, (-0.6420149920119997d), 62.67019581015302d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4210854715202004E-14d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test496"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.13786028238589157d, (-0.5440211108893698d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.13786028238589157d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(6.2403447575266435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.498068205139052d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test498"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.4210854715202004E-14d);
    double d2 = regulaFalsiSolver1.getMax();
    double d3 = regulaFalsiSolver1.getMax();
    double d4 = regulaFalsiSolver1.getFunctionValueAccuracy();
    double d5 = regulaFalsiSolver1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test499"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.000002f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test500"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.USER_EXCEPTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_FINITE_NUMBER;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { false };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math.exception.MathArithmeticException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math.exception.ConvergenceException convergenceException6 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = nullArgumentException7.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

}
